/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2021 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.jam;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Jam implements Ikon {
    ACTIVITY("jam-activity", '\ue901'),
    AIRBNB("jam-airbnb", '\ue902'),
    ALARM_CLOCK("jam-alarm-clock", '\ue904'),
    ALARM_CLOCK_F("jam-alarm-clock-f", '\ue903'),
    ALERT("jam-alert", '\ue906'),
    ALERT_F("jam-alert-f", '\ue905'),
    ALIEN("jam-alien", '\ue908'),
    ALIEN_F("jam-alien-f", '\ue907'),
    ALIGN_CENTER("jam-align-center", '\ue909'),
    ALIGN_JUSTIFY("jam-align-justify", '\ue90a'),
    ALIGN_LEFT("jam-align-left", '\ue90b'),
    ALIGN_RIGHT("jam-align-right", '\ue90c'),
    AMAZON("jam-amazon", '\ue90d'),
    ANCHOR("jam-anchor", '\ue90e'),
    ANDROID("jam-android", '\ue911'),
    ANDROID_CIRCLE("jam-android-circle", '\ue90f'),
    ANDROID_SQUARE("jam-android-square", '\ue910'),
    APERTURE("jam-aperture", '\ue912'),
    APPLE("jam-apple", '\ue915'),
    APPLE_CIRCLE("jam-apple-circle", '\ue913'),
    APPLE_SQUARE("jam-apple-square", '\ue914'),
    ARCHIVE("jam-archive", '\ue917'),
    ARCHIVE_F("jam-archive-f", '\ue916'),
    ARROWS_CORNERS("jam-arrows-corners", '\ue940'),
    ARROWS_FULLSCREEN("jam-arrows-fullscreen", '\ue941'),
    ARROWS_H("jam-arrows-h", '\ue942'),
    ARROWS_V("jam-arrows-v", '\ue943'),
    ARROW_CIRCLE_DOWN("jam-arrow-circle-down", '\ue91d'),
    ARROW_CIRCLE_DOWN_F("jam-arrow-circle-down-f", '\ue918'),
    ARROW_CIRCLE_DOWN_LEFT("jam-arrow-circle-down-left", '\ue91a'),
    ARROW_CIRCLE_DOWN_LEFT_F("jam-arrow-circle-down-left-f", '\ue919'),
    ARROW_CIRCLE_DOWN_RIGHT("jam-arrow-circle-down-right", '\ue91c'),
    ARROW_CIRCLE_DOWN_RIGHT_F("jam-arrow-circle-down-right-f", '\ue91b'),
    ARROW_CIRCLE_LEFT("jam-arrow-circle-left", '\ue91f'),
    ARROW_CIRCLE_LEFT_F("jam-arrow-circle-left-f", '\ue91e'),
    ARROW_CIRCLE_RIGHT("jam-arrow-circle-right", '\ue921'),
    ARROW_CIRCLE_RIGHT_F("jam-arrow-circle-right-f", '\ue920'),
    ARROW_CIRCLE_UP("jam-arrow-circle-up", '\ue927'),
    ARROW_CIRCLE_UP_F("jam-arrow-circle-up-f", '\ue922'),
    ARROW_CIRCLE_UP_LEFT("jam-arrow-circle-up-left", '\ue924'),
    ARROW_CIRCLE_UP_LEFT_F("jam-arrow-circle-up-left-f", '\ue923'),
    ARROW_CIRCLE_UP_RIGHT("jam-arrow-circle-up-right", '\ue926'),
    ARROW_CIRCLE_UP_RIGHT_F("jam-arrow-circle-up-right-f", '\ue925'),
    ARROW_DOWN("jam-arrow-down", '\ue92a'),
    ARROW_DOWN_LEFT("jam-arrow-down-left", '\ue928'),
    ARROW_DOWN_RIGHT("jam-arrow-down-right", '\ue929'),
    ARROW_LEFT("jam-arrow-left", '\ue92b'),
    ARROW_RIGHT("jam-arrow-right", '\ue92c'),
    ARROW_SQUARE_DOWN("jam-arrow-square-down", '\ue932'),
    ARROW_SQUARE_DOWN_F("jam-arrow-square-down-f", '\ue92d'),
    ARROW_SQUARE_DOWN_LEFT("jam-arrow-square-down-left", '\ue92f'),
    ARROW_SQUARE_DOWN_LEFT_F("jam-arrow-square-down-left-f", '\ue92e'),
    ARROW_SQUARE_DOWN_RIGHT("jam-arrow-square-down-right", '\ue931'),
    ARROW_SQUARE_DOWN_RIGHT_F("jam-arrow-square-down-right-f", '\ue930'),
    ARROW_SQUARE_LEFT("jam-arrow-square-left", '\ue934'),
    ARROW_SQUARE_LEFT_F("jam-arrow-square-left-f", '\ue933'),
    ARROW_SQUARE_RIGHT("jam-arrow-square-right", '\ue936'),
    ARROW_SQUARE_RIGHT_F("jam-arrow-square-right-f", '\ue935'),
    ARROW_SQUARE_UP("jam-arrow-square-up", '\ue93c'),
    ARROW_SQUARE_UP_F("jam-arrow-square-up-f", '\ue937'),
    ARROW_SQUARE_UP_LEFT("jam-arrow-square-up-left", '\ue939'),
    ARROW_SQUARE_UP_LEFT_F("jam-arrow-square-up-left-f", '\ue938'),
    ARROW_SQUARE_UP_RIGHT("jam-arrow-square-up-right", '\ue93b'),
    ARROW_SQUARE_UP_RIGHT_F("jam-arrow-square-up-right-f", '\ue93a'),
    ARROW_UP("jam-arrow-up", '\ue93f'),
    ARROW_UP_LEFT("jam-arrow-up-left", '\ue93d'),
    ARROW_UP_RIGHT("jam-arrow-up-right", '\ue93e'),
    ATTACHMENT("jam-attachment", '\ue944'),
    BACKGROUND_COLOR("jam-background-color", '\ue945'),
    BACKPACK("jam-backpack", '\ue947'),
    BACKPACK_F("jam-backpack-f", '\ue946'),
    BACKWARD("jam-backward", '\ue94c'),
    BACKWARD_CIRCLE("jam-backward-circle", '\ue949'),
    BACKWARD_CIRCLE_F("jam-backward-circle-f", '\ue948'),
    BACKWARD_SQUARE("jam-backward-square", '\ue94b'),
    BACKWARD_SQUARE_F("jam-backward-square-f", '\ue94a'),
    BAIDU("jam-baidu", '\ue94f'),
    BAIDU_CIRCLE("jam-baidu-circle", '\ue94d'),
    BAIDU_SQUARE("jam-baidu-square", '\ue94e'),
    BANDAGE("jam-bandage", '\ue951'),
    BANDAGE_F("jam-bandage-f", '\ue950'),
    BAR_CHART("jam-bar-chart", '\ue952'),
    BASEBALL("jam-baseball", '\ue953'),
    BASKETBALL("jam-basketball", '\ue954'),
    BATHTUB("jam-bathtub", '\ue956'),
    BATHTUB_F("jam-bathtub-f", '\ue955'),
    BATTERY("jam-battery", '\ue960'),
    BATTERY_CHARGING("jam-battery-charging", '\ue958'),
    BATTERY_CHARGING_F("jam-battery-charging-f", '\ue957'),
    BATTERY_F("jam-battery-f", '\ue959'),
    BATTERY_HALF("jam-battery-half", '\ue95b'),
    BATTERY_HALF_F("jam-battery-half-f", '\ue95a'),
    BATTERY_ONE_QUARTER("jam-battery-one-quarter", '\ue95d'),
    BATTERY_ONE_QUARTER_F("jam-battery-one-quarter-f", '\ue95c'),
    BATTERY_THREE_QUARTERS("jam-battery-three-quarters", '\ue95f'),
    BATTERY_THREE_QUARTERS_F("jam-battery-three-quarters-f", '\ue95e'),
    BEATPORT("jam-beatport", '\ue963'),
    BEATPORT_CIRCLE("jam-beatport-circle", '\ue961'),
    BEATPORT_SQUARE("jam-beatport-square", '\ue962'),
    BEER("jam-beer", '\ue965'),
    BEER_F("jam-beer-f", '\ue964'),
    BEHANCE("jam-behance", '\ue968'),
    BEHANCE_CIRCLE("jam-behance-circle", '\ue966'),
    BEHANCE_SQUARE("jam-behance-square", '\ue967'),
    BELL("jam-bell", '\ue96c'),
    BELL_F("jam-bell-f", '\ue969'),
    BELL_OFF("jam-bell-off", '\ue96b'),
    BELL_OFF_F("jam-bell-off-f", '\ue96a'),
    BING("jam-bing", '\ue96f'),
    BING_CIRCLE("jam-bing-circle", '\ue96d'),
    BING_SQUARE("jam-bing-square", '\ue96e'),
    BIRTHDAY_CAKE("jam-birthday-cake", '\ue971'),
    BIRTHDAY_CAKE_F("jam-birthday-cake-f", '\ue970'),
    BLOGGER("jam-blogger", '\ue974'),
    BLOGGER_CIRCLE("jam-blogger-circle", '\ue972'),
    BLOGGER_SQUARE("jam-blogger-square", '\ue973'),
    BLUETOOTH("jam-bluetooth", '\ue975'),
    BOLD("jam-bold", '\ue976'),
    BOOK("jam-book", '\ue978'),
    BOOKMARK("jam-bookmark", '\ue980'),
    BOOKMARK_F("jam-bookmark-f", '\ue979'),
    BOOKMARK_MINUS("jam-bookmark-minus", '\ue97b'),
    BOOKMARK_MINUS_F("jam-bookmark-minus-f", '\ue97a'),
    BOOKMARK_PLUS("jam-bookmark-plus", '\ue97d'),
    BOOKMARK_PLUS_F("jam-bookmark-plus-f", '\ue97c'),
    BOOKMARK_REMOVE("jam-bookmark-remove", '\ue97f'),
    BOOKMARK_REMOVE_F("jam-bookmark-remove-f", '\ue97e'),
    BOOK_F("jam-book-f", '\ue977'),
    BOTTLE("jam-bottle", '\ue982'),
    BOTTLE_F("jam-bottle-f", '\ue981'),
    BOX("jam-box", '\ue984'),
    BOX_F("jam-box-f", '\ue983'),
    BRANCH("jam-branch", '\ue986'),
    BRANCH_F("jam-branch-f", '\ue985'),
    BRIGHTNESS("jam-brightness", '\ue98b'),
    BRIGHTNESS_DOWN("jam-brightness-down", '\ue988'),
    BRIGHTNESS_DOWN_F("jam-brightness-down-f", '\ue987'),
    BRIGHTNESS_UP("jam-brightness-up", '\ue98a'),
    BRIGHTNESS_UP_F("jam-brightness-up-f", '\ue989'),
    BRUSH("jam-brush", '\ue98d'),
    BRUSH_F("jam-brush-f", '\ue98c'),
    BUG("jam-bug", '\ue98f'),
    BUG_F("jam-bug-f", '\ue98e'),
    BUILDING("jam-building", '\ue991'),
    BUILDING_F("jam-building-f", '\ue990'),
    BUS("jam-bus", '\ue993'),
    BUS_F("jam-bus-f", '\ue992'),
    CACTUS("jam-cactus", '\ue995'),
    CACTUS_F("jam-cactus-f", '\ue994'),
    CALCULATOR("jam-calculator", '\ue996'),
    CALENDAR("jam-calendar", '\ue99a'),
    CALENDAR_ALT("jam-calendar-alt", '\ue998'),
    CALENDAR_ALT_F("jam-calendar-alt-f", '\ue997'),
    CALENDAR_F("jam-calendar-f", '\ue999'),
    CAMERA("jam-camera", '\ue99e'),
    CAMERA_ALT("jam-camera-alt", '\ue99c'),
    CAMERA_ALT_F("jam-camera-alt-f", '\ue99b'),
    CAMERA_F("jam-camera-f", '\ue99d'),
    CANDLE("jam-candle", '\ue9a0'),
    CANDLE_F("jam-candle-f", '\ue99f'),
    CAPSULE("jam-capsule", '\ue9a2'),
    CAPSULE_F("jam-capsule-f", '\ue9a1'),
    CAR("jam-car", '\ue9a4'),
    CAR_F("jam-car-f", '\ue9a3'),
    CASTLE("jam-castle", '\ue9a6'),
    CASTLE_F("jam-castle-f", '\ue9a5'),
    CHECK("jam-check", '\ue9a7'),
    CHEVRONS_CIRCLE_DOWN("jam-chevrons-circle-down", '\ue9d5'),
    CHEVRONS_CIRCLE_DOWN_F("jam-chevrons-circle-down-f", '\ue9d0'),
    CHEVRONS_CIRCLE_DOWN_LEFT("jam-chevrons-circle-down-left", '\ue9d2'),
    CHEVRONS_CIRCLE_DOWN_LEFT_F("jam-chevrons-circle-down-left-f", '\ue9d1'),
    CHEVRONS_CIRCLE_DOWN_RIGHT("jam-chevrons-circle-down-right", '\ue9d4'),
    CHEVRONS_CIRCLE_DOWN_RIGHT_F("jam-chevrons-circle-down-right-f", '\ue9d3'),
    CHEVRONS_CIRCLE_LEFT("jam-chevrons-circle-left", '\ue9d7'),
    CHEVRONS_CIRCLE_LEFT_F("jam-chevrons-circle-left-f", '\ue9d6'),
    CHEVRONS_CIRCLE_RIGHT("jam-chevrons-circle-right", '\ue9d9'),
    CHEVRONS_CIRCLE_RIGHT_F("jam-chevrons-circle-right-f", '\ue9d8'),
    CHEVRONS_CIRCLE_UP("jam-chevrons-circle-up", '\ue9df'),
    CHEVRONS_CIRCLE_UP_F("jam-chevrons-circle-up-f", '\ue9da'),
    CHEVRONS_CIRCLE_UP_LEFT("jam-chevrons-circle-up-left", '\ue9dc'),
    CHEVRONS_CIRCLE_UP_LEFT_F("jam-chevrons-circle-up-left-f", '\ue9db'),
    CHEVRONS_CIRCLE_UP_RIGHT("jam-chevrons-circle-up-right", '\ue9de'),
    CHEVRONS_CIRCLE_UP_RIGHT_F("jam-chevrons-circle-up-right-f", '\ue9dd'),
    CHEVRONS_DOWN("jam-chevrons-down", '\ue9e2'),
    CHEVRONS_DOWN_LEFT("jam-chevrons-down-left", '\ue9e0'),
    CHEVRONS_DOWN_RIGHT("jam-chevrons-down-right", '\ue9e1'),
    CHEVRONS_LEFT("jam-chevrons-left", '\ue9e3'),
    CHEVRONS_RIGHT("jam-chevrons-right", '\ue9e4'),
    CHEVRONS_SQUARE_DOWN("jam-chevrons-square-down", '\ue9ea'),
    CHEVRONS_SQUARE_DOWN_F("jam-chevrons-square-down-f", '\ue9e5'),
    CHEVRONS_SQUARE_DOWN_LEFT("jam-chevrons-square-down-left", '\ue9e7'),
    CHEVRONS_SQUARE_DOWN_LEFT_F("jam-chevrons-square-down-left-f", '\ue9e6'),
    CHEVRONS_SQUARE_DOWN_RIGHT("jam-chevrons-square-down-right", '\ue9e9'),
    CHEVRONS_SQUARE_DOWN_RIGHT_F("jam-chevrons-square-down-right-f", '\ue9e8'),
    CHEVRONS_SQUARE_LEFT("jam-chevrons-square-left", '\ue9ec'),
    CHEVRONS_SQUARE_LEFT_F("jam-chevrons-square-left-f", '\ue9eb'),
    CHEVRONS_SQUARE_RIGHT("jam-chevrons-square-right", '\ue9ee'),
    CHEVRONS_SQUARE_RIGHT_F("jam-chevrons-square-right-f", '\ue9ed'),
    CHEVRONS_SQUARE_UP("jam-chevrons-square-up", '\ue9f4'),
    CHEVRONS_SQUARE_UP_F("jam-chevrons-square-up-f", '\ue9ef'),
    CHEVRONS_SQUARE_UP_LEFT("jam-chevrons-square-up-left", '\ue9f1'),
    CHEVRONS_SQUARE_UP_LEFT_F("jam-chevrons-square-up-left-f", '\ue9f0'),
    CHEVRONS_SQUARE_UP_RIGHT("jam-chevrons-square-up-right", '\ue9f3'),
    CHEVRONS_SQUARE_UP_RIGHT_F("jam-chevrons-square-up-right-f", '\ue9f2'),
    CHEVRONS_UP("jam-chevrons-up", '\ue9f7'),
    CHEVRONS_UP_LEFT("jam-chevrons-up-left", '\ue9f5'),
    CHEVRONS_UP_RIGHT("jam-chevrons-up-right", '\ue9f6'),
    CHEVRON_CIRCLE_DOWN("jam-chevron-circle-down", '\ue9ad'),
    CHEVRON_CIRCLE_DOWN_F("jam-chevron-circle-down-f", '\ue9a8'),
    CHEVRON_CIRCLE_DOWN_LEFT("jam-chevron-circle-down-left", '\ue9aa'),
    CHEVRON_CIRCLE_DOWN_LEFT_F("jam-chevron-circle-down-left-f", '\ue9a9'),
    CHEVRON_CIRCLE_DOWN_RIGHT("jam-chevron-circle-down-right", '\ue9ac'),
    CHEVRON_CIRCLE_DOWN_RIGHT_F("jam-chevron-circle-down-right-f", '\ue9ab'),
    CHEVRON_CIRCLE_LEFT("jam-chevron-circle-left", '\ue9af'),
    CHEVRON_CIRCLE_LEFT_F("jam-chevron-circle-left-f", '\ue9ae'),
    CHEVRON_CIRCLE_RIGHT("jam-chevron-circle-right", '\ue9b1'),
    CHEVRON_CIRCLE_RIGHT_F("jam-chevron-circle-right-f", '\ue9b0'),
    CHEVRON_CIRCLE_UP("jam-chevron-circle-up", '\ue9b7'),
    CHEVRON_CIRCLE_UP_F("jam-chevron-circle-up-f", '\ue9b2'),
    CHEVRON_CIRCLE_UP_LEFT("jam-chevron-circle-up-left", '\ue9b4'),
    CHEVRON_CIRCLE_UP_LEFT_F("jam-chevron-circle-up-left-f", '\ue9b3'),
    CHEVRON_CIRCLE_UP_RIGHT("jam-chevron-circle-up-right", '\ue9b6'),
    CHEVRON_CIRCLE_UP_RIGHT_F("jam-chevron-circle-up-right-f", '\ue9b5'),
    CHEVRON_DOWN("jam-chevron-down", '\ue9ba'),
    CHEVRON_DOWN_LEFT("jam-chevron-down-left", '\ue9b8'),
    CHEVRON_DOWN_RIGHT("jam-chevron-down-right", '\ue9b9'),
    CHEVRON_LEFT("jam-chevron-left", '\ue9bb'),
    CHEVRON_RIGHT("jam-chevron-right", '\ue9bc'),
    CHEVRON_SQUARE_DOWN("jam-chevron-square-down", '\ue9c2'),
    CHEVRON_SQUARE_DOWN_F("jam-chevron-square-down-f", '\ue9bd'),
    CHEVRON_SQUARE_DOWN_LEFT("jam-chevron-square-down-left", '\ue9bf'),
    CHEVRON_SQUARE_DOWN_LEFT_F("jam-chevron-square-down-left-f", '\ue9be'),
    CHEVRON_SQUARE_DOWN_RIGHT("jam-chevron-square-down-right", '\ue9c1'),
    CHEVRON_SQUARE_DOWN_RIGHT_F("jam-chevron-square-down-right-f", '\ue9c0'),
    CHEVRON_SQUARE_LEFT("jam-chevron-square-left", '\ue9c4'),
    CHEVRON_SQUARE_LEFT_F("jam-chevron-square-left-f", '\ue9c3'),
    CHEVRON_SQUARE_RIGHT("jam-chevron-square-right", '\ue9c6'),
    CHEVRON_SQUARE_RIGHT_F("jam-chevron-square-right-f", '\ue9c5'),
    CHEVRON_SQUARE_UP("jam-chevron-square-up", '\ue9cc'),
    CHEVRON_SQUARE_UP_F("jam-chevron-square-up-f", '\ue9c7'),
    CHEVRON_SQUARE_UP_LEFT("jam-chevron-square-up-left", '\ue9c9'),
    CHEVRON_SQUARE_UP_LEFT_F("jam-chevron-square-up-left-f", '\ue9c8'),
    CHEVRON_SQUARE_UP_RIGHT("jam-chevron-square-up-right", '\ue9cb'),
    CHEVRON_SQUARE_UP_RIGHT_F("jam-chevron-square-up-right-f", '\ue9ca'),
    CHEVRON_UP("jam-chevron-up", '\ue9cf'),
    CHEVRON_UP_LEFT("jam-chevron-up-left", '\ue9cd'),
    CHEVRON_UP_RIGHT("jam-chevron-up-right", '\ue9ce'),
    CHRONOMETER("jam-chronometer", '\ue9f9'),
    CHRONOMETER_F("jam-chronometer-f", '\ue9f8'),
    CIRCLE("jam-circle", '\ue9fb'),
    CIRCLE_F("jam-circle-f", '\ue9fa'),
    CLEAR_FORMAT("jam-clear-format", '\ue9fc'),
    CLIPBOARD("jam-clipboard", '\ue9fe'),
    CLIPBOARD_F("jam-clipboard-f", '\ue9fd'),
    CLOCK("jam-clock", '\uea00'),
    CLOCK_F("jam-clock-f", '\ue9ff'),
    CLOSE("jam-close", '\uea05'),
    CLOSE_CIRCLE("jam-close-circle", '\uea02'),
    CLOSE_CIRCLE_F("jam-close-circle-f", '\uea01'),
    CLOSE_RECTANGLE("jam-close-rectangle", '\uea04'),
    CLOSE_RECTANGLE_F("jam-close-rectangle-f", '\uea03'),
    CLOUD("jam-cloud", '\uea0d'),
    CLOUD_F("jam-cloud-f", '\uea06'),
    CLOUD_RAIN("jam-cloud-rain", '\uea08'),
    CLOUD_RAIN_F("jam-cloud-rain-f", '\uea07'),
    CLOUD_SNOW("jam-cloud-snow", '\uea0a'),
    CLOUD_SNOW_F("jam-cloud-snow-f", '\uea09'),
    CLOUD_THUNDER("jam-cloud-thunder", '\uea0c'),
    CLOUD_THUNDER_F("jam-cloud-thunder-f", '\uea0b'),
    CODEPEN("jam-codepen", '\uea10'),
    CODEPEN_CIRCLE("jam-codepen-circle", '\uea0e'),
    CODEPEN_SQUARE("jam-codepen-square", '\uea0f'),
    COFFEE("jam-coffee", '\uea13'),
    COFFEE_CUP("jam-coffee-cup", '\uea12'),
    COFFEE_CUP_F("jam-coffee-cup-f", '\uea11'),
    COG("jam-cog", '\uea15'),
    COGS("jam-cogs", '\uea17'),
    COGS_F("jam-cogs-f", '\uea16'),
    COG_F("jam-cog-f", '\uea14'),
    COIN("jam-coin", '\uea19'),
    COIN_F("jam-coin-f", '\uea18'),
    COLOR("jam-color", '\uea1a'),
    COMPASS("jam-compass", '\uea1c'),
    COMPASS_F("jam-compass-f", '\uea1b'),
    COMPUTER("jam-computer", '\uea20'),
    COMPUTER_ALT("jam-computer-alt", '\uea1e'),
    COMPUTER_ALT_F("jam-computer-alt-f", '\uea1d'),
    COMPUTER_F("jam-computer-f", '\uea1f'),
    CREDIT_CARD("jam-credit-card", '\uea22'),
    CREDIT_CARD_F("jam-credit-card-f", '\uea21'),
    CROP("jam-crop", '\uea23'),
    CROWN("jam-crown", '\uea25'),
    CROWN_F("jam-crown-f", '\uea24'),
    CUTLERY("jam-cutlery", '\uea27'),
    CUTLERY_F("jam-cutlery-f", '\uea26'),
    CUTTER("jam-cutter", '\uea29'),
    CUTTER_F("jam-cutter-f", '\uea28'),
    DASHBOARD("jam-dashboard", '\uea2b'),
    DASHBOARD_F("jam-dashboard-f", '\uea2a'),
    DATABASE("jam-database", '\uea2d'),
    DATABASE_F("jam-database-f", '\uea2c'),
    DEEZER("jam-deezer", '\uea30'),
    DEEZER_CIRCLE("jam-deezer-circle", '\uea2e'),
    DEEZER_SQUARE("jam-deezer-square", '\uea2f'),
    DELETE("jam-delete", '\uea32'),
    DELETE_F("jam-delete-f", '\uea31'),
    DEVIANTART("jam-deviantart", '\uea35'),
    DEVIANTART_CIRCLE("jam-deviantart-circle", '\uea33'),
    DEVIANTART_SQUARE("jam-deviantart-square", '\uea34'),
    DIGG("jam-digg", '\uea36'),
    DIRECTION("jam-direction", '\uea38'),
    DIRECTIONS("jam-directions", '\uea3a'),
    DIRECTIONS_F("jam-directions-f", '\uea39'),
    DIRECTION_F("jam-direction-f", '\uea37'),
    DISC("jam-disc", '\uea3c'),
    DISC_F("jam-disc-f", '\uea3b'),
    DISQUS("jam-disqus", '\uea3f'),
    DISQUS_CIRCLE("jam-disqus-circle", '\uea3d'),
    DISQUS_SQUARE("jam-disqus-square", '\uea3e'),
    DJ("jam-dj", '\uea41'),
    DJ_F("jam-dj-f", '\uea40'),
    DNA("jam-dna", '\uea42'),
    DOCUMENT("jam-document", '\uea44'),
    DOCUMENT_F("jam-document-f", '\uea43'),
    DOOR("jam-door", '\uea45'),
    DOWNLOAD("jam-download", '\uea46'),
    DRUPAL("jam-drupal", '\uea49'),
    DRUPAL_CIRCLE("jam-drupal-circle", '\uea47'),
    DRUPAL_SQUARE("jam-drupal-square", '\uea48'),
    EBAY("jam-ebay", '\uea4a'),
    EGG("jam-egg", '\uea4c'),
    EGGS("jam-eggs", '\uea4e'),
    EGGS_F("jam-eggs-f", '\uea4d'),
    EGG_F("jam-egg-f", '\uea4b'),
    EJECT("jam-eject", '\uea53'),
    EJECT_CIRCLE("jam-eject-circle", '\uea50'),
    EJECT_CIRCLE_F("jam-eject-circle-f", '\uea4f'),
    EJECT_SQUARE("jam-eject-square", '\uea52'),
    EJECT_SQUARE_F("jam-eject-square-f", '\uea51'),
    ENVELOPE("jam-envelope", '\uea57'),
    ENVELOPE_F("jam-envelope-f", '\uea54'),
    ENVELOPE_OPEN("jam-envelope-open", '\uea56'),
    ENVELOPE_OPEN_F("jam-envelope-open-f", '\uea55'),
    EXTINGUISHER("jam-extinguisher", '\uea59'),
    EXTINGUISHER_F("jam-extinguisher-f", '\uea58'),
    EYE("jam-eye", '\uea5d'),
    EYEDROPPER("jam-eyedropper", '\uea5f'),
    EYEDROPPER_F("jam-eyedropper-f", '\uea5e'),
    EYE_CLOSE("jam-eye-close", '\uea5b'),
    EYE_CLOSE_F("jam-eye-close-f", '\uea5a'),
    EYE_F("jam-eye-f", '\uea5c'),
    FACEBOOK("jam-facebook", '\uea62'),
    FACEBOOK_CIRCLE("jam-facebook-circle", '\uea60'),
    FACEBOOK_SQUARE("jam-facebook-square", '\uea61'),
    FAST_BACKWARD("jam-fast-backward", '\uea67'),
    FAST_BACKWARD_CIRCLE("jam-fast-backward-circle", '\uea64'),
    FAST_BACKWARD_CIRCLE_F("jam-fast-backward-circle-f", '\uea63'),
    FAST_BACKWARD_SQUARE("jam-fast-backward-square", '\uea66'),
    FAST_BACKWARD_SQUARE_F("jam-fast-backward-square-f", '\uea65'),
    FAST_FORWARD("jam-fast-forward", '\uea6c'),
    FAST_FORWARD_CIRCLE("jam-fast-forward-circle", '\uea69'),
    FAST_FORWARD_CIRCLE_F("jam-fast-forward-circle-f", '\uea68'),
    FAST_FORWARD_SQUARE("jam-fast-forward-square", '\uea6b'),
    FAST_FORWARD_SQUARE_F("jam-fast-forward-square-f", '\uea6a'),
    FEATHER("jam-feather", '\uea6e'),
    FEATHER_F("jam-feather-f", '\uea6d'),
    FEMALE("jam-female", '\uea6f'),
    FILE("jam-file", '\uea71'),
    FILES("jam-files", '\uea73'),
    FILES_F("jam-files-f", '\uea72'),
    FILE_F("jam-file-f", '\uea70'),
    FILTER("jam-filter", '\uea75'),
    FILTER_F("jam-filter-f", '\uea74'),
    FINGERPRINT("jam-fingerprint", '\uea76'),
    FIRST_AID("jam-first-aid", '\uea78'),
    FIRST_AID_F("jam-first-aid-f", '\uea77'),
    FISH("jam-fish", '\uea79'),
    FIVERR("jam-fiverr", '\uea7c'),
    FIVERR_CIRCLE("jam-fiverr-circle", '\uea7a'),
    FIVERR_SQUARE("jam-fiverr-square", '\uea7b'),
    FLAG("jam-flag", '\uea7e'),
    FLAG_F("jam-flag-f", '\uea7d'),
    FLAME("jam-flame", '\uea80'),
    FLAME_F("jam-flame-f", '\uea7f'),
    FLASHLIGHT_OFF("jam-flashlight-off", '\uea82'),
    FLASHLIGHT_OFF_F("jam-flashlight-off-f", '\uea81'),
    FLASHLIGHT_ON("jam-flashlight-on", '\uea84'),
    FLASHLIGHT_ON_F("jam-flashlight-on-f", '\uea83'),
    FLASK("jam-flask", '\uea85'),
    FLICKR("jam-flickr", '\uea88'),
    FLICKR_CIRCLE("jam-flickr-circle", '\uea86'),
    FLICKR_SQUARE("jam-flickr-square", '\uea87'),
    FLOWER("jam-flower", '\uea89'),
    FOLDER("jam-folder", '\uea8f'),
    FOLDER_F("jam-folder-f", '\uea8a'),
    FOLDER_OPEN("jam-folder-open", '\uea8c'),
    FOLDER_OPEN_F("jam-folder-open-f", '\uea8b'),
    FOLDER_ZIP("jam-folder-zip", '\uea8e'),
    FOLDER_ZIP_F("jam-folder-zip-f", '\uea8d'),
    FOOTBALL("jam-football", '\uea90'),
    FORK("jam-fork", '\uea92'),
    FORK_F("jam-fork-f", '\uea91'),
    FORWARD("jam-forward", '\uea97'),
    FORWARD_CIRCLE("jam-forward-circle", '\uea94'),
    FORWARD_CIRCLE_F("jam-forward-circle-f", '\uea93'),
    FORWARD_SQUARE("jam-forward-square", '\uea96'),
    FORWARD_SQUARE_F("jam-forward-square-f", '\uea95'),
    FOURSQUARE("jam-foursquare", '\uea98'),
    GAMEPAD("jam-gamepad", '\uea9c'),
    GAMEPAD_F("jam-gamepad-f", '\uea99'),
    GAMEPAD_RETRO("jam-gamepad-retro", '\uea9b'),
    GAMEPAD_RETRO_F("jam-gamepad-retro-f", '\uea9a'),
    GHOST("jam-ghost", '\ueaa1'),
    GHOST_F("jam-ghost-f", '\uea9d'),
    GHOST_ORG("jam-ghost-org", '\ueaa0'),
    GHOST_ORG_CIRCLE("jam-ghost-org-circle", '\uea9e'),
    GHOST_ORG_SQUARE("jam-ghost-org-square", '\uea9f'),
    GIFT("jam-gift", '\ueaa3'),
    GIFT_F("jam-gift-f", '\ueaa2'),
    GITHUB("jam-github", '\ueaa6'),
    GITHUB_CIRCLE("jam-github-circle", '\ueaa4'),
    GITHUB_SQUARE("jam-github-square", '\ueaa5'),
    GITLAB("jam-gitlab", '\ueaa9'),
    GITLAB_CIRCLE("jam-gitlab-circle", '\ueaa7'),
    GITLAB_SQUARE("jam-gitlab-square", '\ueaa8'),
    GLASS_EMPTY("jam-glass-empty", '\ueaaa'),
    GLASS_FILLED("jam-glass-filled", '\ueaac'),
    GLASS_FILLED_F("jam-glass-filled-f", '\ueaab'),
    GLUE("jam-glue", '\ueaae'),
    GLUE_F("jam-glue-f", '\ueaad'),
    GOOGLE("jam-google", '\ueab7'),
    GOOGLE_CIRCLE("jam-google-circle", '\ueaaf'),
    GOOGLE_PLAY("jam-google-play", '\ueab2'),
    GOOGLE_PLAY_CIRCLE("jam-google-play-circle", '\ueab0'),
    GOOGLE_PLAY_SQUARE("jam-google-play-square", '\ueab1'),
    GOOGLE_PLUS("jam-google-plus", '\ueab5'),
    GOOGLE_PLUS_CIRCLE("jam-google-plus-circle", '\ueab3'),
    GOOGLE_PLUS_SQUARE("jam-google-plus-square", '\ueab4'),
    GOOGLE_SQUARE("jam-google-square", '\ueab6'),
    GPS("jam-gps", '\ueab9'),
    GPS_F("jam-gps-f", '\ueab8'),
    GRID("jam-grid", '\ueabb'),
    GRID_F("jam-grid-f", '\ueaba'),
    HAIRDRYER("jam-hairdryer", '\ueabd'),
    HAIRDRYER_F("jam-hairdryer-f", '\ueabc'),
    HAMMER("jam-hammer", '\ueabf'),
    HAMMER_F("jam-hammer-f", '\ueabe'),
    HASHTAG("jam-hashtag", '\ueac0'),
    HEADER("jam-header", '\ueac7'),
    HEADER_1("jam-header-1", '\ueac1'),
    HEADER_2("jam-header-2", '\ueac2'),
    HEADER_3("jam-header-3", '\ueac3'),
    HEADER_4("jam-header-4", '\ueac4'),
    HEADER_5("jam-header-5", '\ueac5'),
    HEADER_6("jam-header-6", '\ueac6'),
    HEADSET("jam-headset", '\ueac9'),
    HEADSET_F("jam-headset-f", '\ueac8'),
    HEART("jam-heart", '\ueacb'),
    HEART_F("jam-heart-f", '\ueaca'),
    HELMET("jam-helmet", '\ueacd'),
    HELMET_F("jam-helmet-f", '\ueacc'),
    HELP("jam-help", '\ueacf'),
    HELP_F("jam-help-f", '\ueace'),
    HIGHLIGHTER("jam-highlighter", '\uead1'),
    HIGHLIGHTER_F("jam-highlighter-f", '\uead0'),
    HISTORY("jam-history", '\uead2'),
    HOME("jam-home", '\uead4'),
    HOME_F("jam-home-f", '\uead3'),
    HOURGLASS("jam-hourglass", '\uead6'),
    HOURGLASS_F("jam-hourglass-f", '\uead5'),
    ICE_CREAM("jam-ice-cream", '\uead8'),
    ICE_CREAM_F("jam-ice-cream-f", '\uead7'),
    ID_CARD("jam-id-card", '\ueada'),
    ID_CARD_F("jam-id-card-f", '\uead9'),
    INBOX("jam-inbox", '\ueadc'),
    INBOXES("jam-inboxes", '\ueade'),
    INBOXES_F("jam-inboxes-f", '\ueadd'),
    INBOX_F("jam-inbox-f", '\ueadb'),
    INDENT("jam-indent", '\ueadf'),
    INFINITE("jam-infinite", '\ueae0'),
    INFO("jam-info", '\ueae2'),
    INFO_F("jam-info-f", '\ueae1'),
    INSTAGRAM("jam-instagram", '\ueae3'),
    INSTANT_PICTURE("jam-instant-picture", '\ueae5'),
    INSTANT_PICTURE_F("jam-instant-picture-f", '\ueae4'),
    ITALIC("jam-italic", '\ueae6'),
    JAM_500PX("jam-500px", '\ue900'),
    JOYSTICK("jam-joystick", '\ueae8'),
    JOYSTICK_F("jam-joystick-f", '\ueae7'),
    KEY("jam-key", '\ueaea'),
    KEYBOARD("jam-keyboard", '\ueaec'),
    KEYBOARD_F("jam-keyboard-f", '\ueaeb'),
    KEY_F("jam-key-f", '\ueae9'),
    LANGUAGE("jam-language", '\ueaed'),
    LAYERS("jam-layers", '\ueaef'),
    LAYERS_F("jam-layers-f", '\ueaee'),
    LAYOUT("jam-layout", '\ueaf1'),
    LAYOUT_F("jam-layout-f", '\ueaf0'),
    LEAF("jam-leaf", '\ueaf3'),
    LEAF_F("jam-leaf-f", '\ueaf2'),
    LIFEBUOY("jam-lifebuoy", '\ueaf5'),
    LIFEBUOY_F("jam-lifebuoy-f", '\ueaf4'),
    LIGHTBULB("jam-lightbulb", '\ueaf7'),
    LIGHTBULB_F("jam-lightbulb-f", '\ueaf6'),
    LINE("jam-line", '\ueaf8'),
    LINK("jam-link", '\ueaf9'),
    LINKEDIN("jam-linkedin", '\ueafc'),
    LINKEDIN_CIRCLE("jam-linkedin-circle", '\ueafa'),
    LINKEDIN_SQUARE("jam-linkedin-square", '\ueafb'),
    LOG_IN("jam-log-in", '\ueafd'),
    LOG_OUT("jam-log-out", '\ueafe'),
    LUGGAGE("jam-luggage", '\ueb00'),
    LUGGAGE_F("jam-luggage-f", '\ueaff'),
    MAGIC("jam-magic", '\ueb02'),
    MAGIC_F("jam-magic-f", '\ueb01'),
    MAGNET("jam-magnet", '\ueb04'),
    MAGNET_F("jam-magnet-f", '\ueb03'),
    MALE("jam-male", '\ueb05'),
    MAP("jam-map", '\ueb09'),
    MAP_F("jam-map-f", '\ueb06'),
    MAP_MARKER("jam-map-marker", '\ueb08'),
    MAP_MARKER_F("jam-map-marker-f", '\ueb07'),
    MASK("jam-mask", '\ueb0b'),
    MASK_F("jam-mask-f", '\ueb0a'),
    MEDAL("jam-medal", '\ueb0d'),
    MEDAL_F("jam-medal-f", '\ueb0c'),
    MEDICAL("jam-medical", '\ueb0e'),
    MEDIUM("jam-medium", '\ueb11'),
    MEDIUM_CIRCLE("jam-medium-circle", '\ueb0f'),
    MEDIUM_SQUARE("jam-medium-square", '\ueb10'),
    MENU("jam-menu", '\ueb12'),
    MERGE("jam-merge", '\ueb14'),
    MERGE_F("jam-merge-f", '\ueb13'),
    MESSAGE("jam-message", '\ueb1c'),
    MESSAGES("jam-messages", '\ueb20'),
    MESSAGES_ALT("jam-messages-alt", '\ueb1e'),
    MESSAGES_ALT_F("jam-messages-alt-f", '\ueb1d'),
    MESSAGES_F("jam-messages-f", '\ueb1f'),
    MESSAGE_ALT("jam-message-alt", '\ueb18'),
    MESSAGE_ALT_F("jam-message-alt-f", '\ueb15'),
    MESSAGE_ALT_WRITING("jam-message-alt-writing", '\ueb17'),
    MESSAGE_ALT_WRITING_F("jam-message-alt-writing-f", '\ueb16'),
    MESSAGE_F("jam-message-f", '\ueb19'),
    MESSAGE_WRITING("jam-message-writing", '\ueb1b'),
    MESSAGE_WRITING_F("jam-message-writing-f", '\ueb1a'),
    MESSENGER("jam-messenger", '\ueb21'),
    MIC("jam-mic", '\ueb28'),
    MICROCHIP("jam-microchip", '\ueb2a'),
    MICROCHIP_F("jam-microchip-f", '\ueb29'),
    MIC_ALT("jam-mic-alt", '\ueb22'),
    MIC_CIRCLE("jam-mic-circle", '\ueb24'),
    MIC_CIRCLE_F("jam-mic-circle-f", '\ueb23'),
    MIC_F("jam-mic-f", '\ueb25'),
    MIC_SQUARE("jam-mic-square", '\ueb27'),
    MIC_SQUARE_F("jam-mic-square-f", '\ueb26'),
    MINUS("jam-minus", '\ueb2f'),
    MINUS_CIRCLE("jam-minus-circle", '\ueb2c'),
    MINUS_CIRCLE_F("jam-minus-circle-f", '\ueb2b'),
    MINUS_RECTANGLE("jam-minus-rectangle", '\ueb2e'),
    MINUS_RECTANGLE_F("jam-minus-rectangle-f", '\ueb2d'),
    MOON("jam-moon", '\ueb31'),
    MOON_F("jam-moon-f", '\ueb30'),
    MORE_HORIZONTAL("jam-more-horizontal", '\ueb33'),
    MORE_HORIZONTAL_F("jam-more-horizontal-f", '\ueb32'),
    MORE_VERTICAL("jam-more-vertical", '\ueb35'),
    MORE_VERTICAL_F("jam-more-vertical-f", '\ueb34'),
    MOUNTAIN("jam-mountain", '\ueb37'),
    MOUNTAIN_F("jam-mountain-f", '\ueb36'),
    MOVE("jam-move", '\ueb39'),
    MOVE_ALT("jam-move-alt", '\ueb38'),
    MOVIE("jam-movie", '\ueb3a'),
    MUG("jam-mug", '\ueb3c'),
    MUG_F("jam-mug-f", '\ueb3b'),
    MUSIC("jam-music", '\ueb3e'),
    MUSIC_F("jam-music-f", '\ueb3d'),
    MYSPACE("jam-myspace", '\ueb41'),
    MYSPACE_CIRCLE("jam-myspace-circle", '\ueb3f'),
    MYSPACE_SQUARE("jam-myspace-square", '\ueb40'),
    NAPSTER("jam-napster", '\ueb44'),
    NAPSTER_CIRCLE("jam-napster-circle", '\ueb42'),
    NAPSTER_SQUARE("jam-napster-square", '\ueb43'),
    NEWSLETTER("jam-newsletter", '\ueb46'),
    NEWSLETTER_F("jam-newsletter-f", '\ueb45'),
    NEWSPAPER("jam-newspaper", '\ueb48'),
    NEWSPAPER_F("jam-newspaper-f", '\ueb47'),
    NPM("jam-npm", '\ueb49'),
    ODNOKLASSNIKI("jam-odnoklassniki", '\ueb4c'),
    ODNOKLASSNIKI_CIRCLE("jam-odnoklassniki-circle", '\ueb4a'),
    ODNOKLASSNIKI_SQUARE("jam-odnoklassniki-square", '\ueb4b'),
    OPERA("jam-opera", '\ueb4f'),
    OPERA_CIRCLE("jam-opera-circle", '\ueb4d'),
    OPERA_SQUARE("jam-opera-square", '\ueb4e'),
    ORDERED_LIST("jam-ordered-list", '\ueb50'),
    PADLOCK("jam-padlock", '\ueb58'),
    PADLOCK_ALT("jam-padlock-alt", '\ueb54'),
    PADLOCK_ALT_F("jam-padlock-alt-f", '\ueb51'),
    PADLOCK_ALT_OPEN("jam-padlock-alt-open", '\ueb53'),
    PADLOCK_ALT_OPEN_F("jam-padlock-alt-open-f", '\ueb52'),
    PADLOCK_F("jam-padlock-f", '\ueb55'),
    PADLOCK_OPEN("jam-padlock-open", '\ueb57'),
    PADLOCK_OPEN_F("jam-padlock-open-f", '\ueb56'),
    PAPER_PLANE("jam-paper-plane", '\ueb5a'),
    PAPER_PLANE_F("jam-paper-plane-f", '\ueb59'),
    PATREON("jam-patreon", '\ueb5d'),
    PATREON_CIRCLE("jam-patreon-circle", '\ueb5b'),
    PATREON_SQUARE("jam-patreon-square", '\ueb5c'),
    PAUSE("jam-pause", '\ueb5e'),
    PAYPAL("jam-paypal", '\ueb61'),
    PAYPAL_CIRCLE("jam-paypal-circle", '\ueb5f'),
    PAYPAL_SQUARE("jam-paypal-square", '\ueb60'),
    PEN("jam-pen", '\ueb63'),
    PENCIL("jam-pencil", '\ueb65'),
    PENCIL_F("jam-pencil-f", '\ueb64'),
    PEN_F("jam-pen-f", '\ueb62'),
    PERISCOPE("jam-periscope", '\ueb68'),
    PERISCOPE_CIRCLE("jam-periscope-circle", '\ueb66'),
    PERISCOPE_SQUARE("jam-periscope-square", '\ueb67'),
    PHONE("jam-phone", '\ueb6a'),
    PHONE_F("jam-phone-f", '\ueb69'),
    PICTURE("jam-picture", '\ueb6c'),
    PICTURES("jam-pictures", '\ueb6e'),
    PICTURES_F("jam-pictures-f", '\ueb6d'),
    PICTURE_F("jam-picture-f", '\ueb6b'),
    PIE_CHART("jam-pie-chart", '\ueb71'),
    PIE_CHART_ALT("jam-pie-chart-alt", '\ueb6f'),
    PIE_CHART_F("jam-pie-chart-f", '\ueb70'),
    PIN("jam-pin", '\ueb75'),
    PINTEREST("jam-pinterest", '\ueb78'),
    PINTEREST_CIRCLE("jam-pinterest-circle", '\ueb76'),
    PINTEREST_SQUARE("jam-pinterest-square", '\ueb77'),
    PIN_ALT("jam-pin-alt", '\ueb73'),
    PIN_ALT_F("jam-pin-alt-f", '\ueb72'),
    PIN_F("jam-pin-f", '\ueb74'),
    PIZZA_SLICE("jam-pizza-slice", '\ueb79'),
    PLANE("jam-plane", '\ueb7b'),
    PLANE_F("jam-plane-f", '\ueb7a'),
    PLAY("jam-play", '\ueb80'),
    PLAY_CIRCLE("jam-play-circle", '\ueb7d'),
    PLAY_CIRCLE_F("jam-play-circle-f", '\ueb7c'),
    PLAY_SQUARE("jam-play-square", '\ueb7f'),
    PLAY_SQUARE_F("jam-play-square-f", '\ueb7e'),
    PLUG("jam-plug", '\ueb82'),
    PLUG_F("jam-plug-f", '\ueb81'),
    PLUS("jam-plus", '\ueb87'),
    PLUS_CIRCLE("jam-plus-circle", '\ueb84'),
    PLUS_CIRCLE_F("jam-plus-circle-f", '\ueb83'),
    PLUS_RECTANGLE("jam-plus-rectangle", '\ueb86'),
    PLUS_RECTANGLE_F("jam-plus-rectangle-f", '\ueb85'),
    POCKET_WATCH("jam-pocket-watch", '\ueb89'),
    POCKET_WATCH_F("jam-pocket-watch-f", '\ueb88'),
    PODCAST("jam-podcast", '\ueb8a'),
    POWER("jam-power", '\ueb8b'),
    PRINTER("jam-printer", '\ueb8d'),
    PRINTER_F("jam-printer-f", '\ueb8c'),
    QR_CODE("jam-qr-code", '\ueb8e'),
    QUORA("jam-quora", '\ueb91'),
    QUORA_CIRCLE("jam-quora-circle", '\ueb8f'),
    QUORA_SQUARE("jam-quora-square", '\ueb90'),
    RAINBOW("jam-rainbow", '\ueb92'),
    REC("jam-rec", '\ueb93'),
    RECTANGLE("jam-rectangle", '\ueb95'),
    RECTANGLE_F("jam-rectangle-f", '\ueb94'),
    REDDIT("jam-reddit", '\ueb96'),
    REDO("jam-redo", '\ueb97'),
    REFRESH("jam-refresh", '\ueb99'),
    REFRESH_REVERSE("jam-refresh-reverse", '\ueb98'),
    REPEAT("jam-repeat", '\ueb9a'),
    ROCKET("jam-rocket", '\ueb9c'),
    ROCKET_F("jam-rocket-f", '\ueb9b'),
    RSS_FEED("jam-rss-feed", '\ueb9d'),
    RUBBER("jam-rubber", '\ueb9e'),
    RULER("jam-ruler", '\ueba0'),
    RULER_F("jam-ruler-f", '\ueb9f'),
    SAVE("jam-save", '\ueba2'),
    SAVE_F("jam-save-f", '\ueba1'),
    SCISSORS("jam-scissors", '\ueba3'),
    SCREEN("jam-screen", '\ueba5'),
    SCREEN_F("jam-screen-f", '\ueba4'),
    SCREWDRIVER("jam-screwdriver", '\ueba7'),
    SCREWDRIVER_F("jam-screwdriver-f", '\ueba6'),
    SEARCH("jam-search", '\uebab'),
    SEARCH_FOLDER("jam-search-folder", '\ueba8'),
    SEARCH_MINUS("jam-search-minus", '\ueba9'),
    SEARCH_PLUS("jam-search-plus", '\uebaa'),
    SETTINGS_ALT("jam-settings-alt", '\uebb8'),
    SET_BACKWARD("jam-set-backward", '\uebb0'),
    SET_BACKWARD_CIRCLE("jam-set-backward-circle", '\uebad'),
    SET_BACKWARD_CIRCLE_F("jam-set-backward-circle-f", '\uebac'),
    SET_BACKWARD_SQUARE("jam-set-backward-square", '\uebaf'),
    SET_BACKWARD_SQUARE_F("jam-set-backward-square-f", '\uebae'),
    SET_FORWARD("jam-set-forward", '\uebb5'),
    SET_FORWARD_CIRCLE("jam-set-forward-circle", '\uebb2'),
    SET_FORWARD_CIRCLE_F("jam-set-forward-circle-f", '\uebb1'),
    SET_FORWARD_SQUARE("jam-set-forward-square", '\uebb4'),
    SET_FORWARD_SQUARE_F("jam-set-forward-square-f", '\uebb3'),
    SET_SQUARE("jam-set-square", '\uebb7'),
    SET_SQUARE_F("jam-set-square-f", '\uebb6'),
    SHARE("jam-share", '\uebbb'),
    SHARE_ALT("jam-share-alt", '\uebba'),
    SHARE_ALT_F("jam-share-alt-f", '\uebb9'),
    SHIELD("jam-shield", '\uebc6'),
    SHIELD_CHECK("jam-shield-check", '\uebbd'),
    SHIELD_CHECK_F("jam-shield-check-f", '\uebbc'),
    SHIELD_CLOSE("jam-shield-close", '\uebbf'),
    SHIELD_CLOSE_F("jam-shield-close-f", '\uebbe'),
    SHIELD_F("jam-shield-f", '\uebc0'),
    SHIELD_HALF("jam-shield-half", '\uebc1'),
    SHIELD_MINUS("jam-shield-minus", '\uebc3'),
    SHIELD_MINUS_F("jam-shield-minus-f", '\uebc2'),
    SHIELD_PLUS("jam-shield-plus", '\uebc5'),
    SHIELD_PLUS_F("jam-shield-plus-f", '\uebc4'),
    SHOPIFY("jam-shopify", '\uebc9'),
    SHOPIFY_CIRCLE("jam-shopify-circle", '\uebc7'),
    SHOPIFY_SQUARE("jam-shopify-square", '\uebc8'),
    SHOPPING_BAG("jam-shopping-bag", '\uebcd'),
    SHOPPING_BAG_ALT("jam-shopping-bag-alt", '\uebcb'),
    SHOPPING_BAG_ALT_F("jam-shopping-bag-alt-f", '\uebca'),
    SHOPPING_BAG_F("jam-shopping-bag-f", '\uebcc'),
    SHOPPING_CART("jam-shopping-cart", '\uebce'),
    SHUFFLE("jam-shuffle", '\uebcf'),
    SIGNAL("jam-signal", '\uebd0'),
    SITEMAP("jam-sitemap", '\uebd2'),
    SITEMAP_F("jam-sitemap-f", '\uebd1'),
    SKULL("jam-skull", '\uebd4'),
    SKULL_F("jam-skull-f", '\uebd3'),
    SKYPE("jam-skype", '\uebd7'),
    SKYPE_CIRCLE("jam-skype-circle", '\uebd5'),
    SKYPE_SQUARE("jam-skype-square", '\uebd6'),
    SLACK("jam-slack", '\uebda'),
    SLACK_CIRCLE("jam-slack-circle", '\uebd8'),
    SLACK_SQUARE("jam-slack-square", '\uebd9'),
    SMILEY("jam-smiley", '\uebdc'),
    SMILEY_F("jam-smiley-f", '\uebdb'),
    SNAPCHAT("jam-snapchat", '\uebdf'),
    SNAPCHAT_CIRCLE("jam-snapchat-circle", '\uebdd'),
    SNAPCHAT_SQUARE("jam-snapchat-square", '\uebde'),
    SNOWBOARD("jam-snowboard", '\uebe1'),
    SNOWBOARD_F("jam-snowboard-f", '\uebe0'),
    SNOWFLAKE("jam-snowflake", '\uebe2'),
    SOUNDCLOUD("jam-soundcloud", '\uebe3'),
    SPEAKER("jam-speaker", '\uebe5'),
    SPEAKER_F("jam-speaker-f", '\uebe4'),
    SPOTIFY("jam-spotify", '\uebe6'),
    SQUARE("jam-square", '\uebe8'),
    SQUARESPACE("jam-squarespace", '\uebeb'),
    SQUARESPACE_CIRCLE("jam-squarespace-circle", '\uebe9'),
    SQUARESPACE_SQUARE("jam-squarespace-square", '\uebea'),
    SQUARE_F("jam-square-f", '\uebe7'),
    STACKOVERFLOW("jam-stackoverflow", '\uebee'),
    STACKOVERFLOW_CIRCLE("jam-stackoverflow-circle", '\uebec'),
    STACKOVERFLOW_SQUARE("jam-stackoverflow-square", '\uebed'),
    STAMP("jam-stamp", '\uebf0'),
    STAMP_F("jam-stamp-f", '\uebef'),
    STAR("jam-star", '\uebf4'),
    STAR_F("jam-star-f", '\uebf1'),
    STAR_FULL("jam-star-full", '\uebf2'),
    STAR_HALF("jam-star-half", '\uebf3'),
    STATION("jam-station", '\uebf5'),
    STOP("jam-stop", '\uebf7'),
    STOP_SIGN("jam-stop-sign", '\uebf6'),
    STORE("jam-store", '\uebf8'),
    STRIKETHROUGH("jam-strikethrough", '\uebf9'),
    STUMBLEUPON("jam-stumbleupon", '\uebfc'),
    STUMBLEUPON_CIRCLE("jam-stumbleupon-circle", '\uebfa'),
    STUMBLEUPON_SQUARE("jam-stumbleupon-square", '\uebfb'),
    SUN("jam-sun", '\uebfe'),
    SUN_F("jam-sun-f", '\uebfd'),
    SWITCH_LEFT("jam-switch-left", '\uec00'),
    SWITCH_LEFT_F("jam-switch-left-f", '\uebff'),
    SWITCH_RIGHT("jam-switch-right", '\uec02'),
    SWITCH_RIGHT_F("jam-switch-right-f", '\uec01'),
    SWORD("jam-sword", '\uec04'),
    SWORD_F("jam-sword-f", '\uec03'),
    TABLET("jam-tablet", '\uec06'),
    TABLET_F("jam-tablet-f", '\uec05'),
    TAG("jam-tag", '\uec08'),
    TAGS("jam-tags", '\uec0a'),
    TAGS_F("jam-tags-f", '\uec09'),
    TAG_F("jam-tag-f", '\uec07'),
    TARGET("jam-target", '\uec0b'),
    TASK_LIST("jam-task-list", '\uec0d'),
    TASK_LIST_F("jam-task-list-f", '\uec0c'),
    TEMPERATURE("jam-temperature", '\uec0e'),
    TERMINAL("jam-terminal", '\uec0f'),
    THUNDER("jam-thunder", '\uec11'),
    THUNDER_F("jam-thunder-f", '\uec10'),
    TICKET("jam-ticket", '\uec13'),
    TICKET_F("jam-ticket-f", '\uec12'),
    TOOLS("jam-tools", '\uec15'),
    TOOLS_F("jam-tools-f", '\uec14'),
    TORCH("jam-torch", '\uec17'),
    TORCH_F("jam-torch-f", '\uec16'),
    TOTEM("jam-totem", '\uec18'),
    TRAIN("jam-train", '\uec1a'),
    TRAIN_F("jam-train-f", '\uec19'),
    TRANSGENDER("jam-transgender", '\uec1b'),
    TRASH("jam-trash", '\uec1f'),
    TRASH_ALT("jam-trash-alt", '\uec1d'),
    TRASH_ALT_F("jam-trash-alt-f", '\uec1c'),
    TRASH_F("jam-trash-f", '\uec1e'),
    TREE("jam-tree", '\uec23'),
    TREE_ALT("jam-tree-alt", '\uec21'),
    TREE_ALT_F("jam-tree-alt-f", '\uec20'),
    TREE_F("jam-tree-f", '\uec22'),
    TRELLO("jam-trello", '\uec24'),
    TRIANGLE("jam-triangle", '\uec28'),
    TRIANGLE_DANGER("jam-triangle-danger", '\uec26'),
    TRIANGLE_DANGER_F("jam-triangle-danger-f", '\uec25'),
    TRIANGLE_F("jam-triangle-f", '\uec27'),
    TROPHY("jam-trophy", '\uec2a'),
    TROPHY_F("jam-trophy-f", '\uec29'),
    TUBE("jam-tube", '\uec2b'),
    TUMBLR("jam-tumblr", '\uec2e'),
    TUMBLR_CIRCLE("jam-tumblr-circle", '\uec2c'),
    TUMBLR_SQUARE("jam-tumblr-square", '\uec2d'),
    TWITCH("jam-twitch", '\uec2f'),
    TWITTER("jam-twitter", '\uec32'),
    TWITTER_CIRCLE("jam-twitter-circle", '\uec30'),
    TWITTER_SQUARE("jam-twitter-square", '\uec31'),
    UMBRELLA("jam-umbrella", '\uec36'),
    UMBRELLA_CLOSED("jam-umbrella-closed", '\uec34'),
    UMBRELLA_CLOSED_F("jam-umbrella-closed-f", '\uec33'),
    UMBRELLA_F("jam-umbrella-f", '\uec35'),
    UNDERLINE("jam-underline", '\uec37'),
    UNDO("jam-undo", '\uec38'),
    UNINDENT("jam-unindent", '\uec39'),
    UNIVERSE("jam-universe", '\uec3a'),
    UNORDERED_LIST("jam-unordered-list", '\uec3b'),
    UNSPLASH("jam-unsplash", '\uec3e'),
    UNSPLASH_CIRCLE("jam-unsplash-circle", '\uec3c'),
    UNSPLASH_SQUARE("jam-unsplash-square", '\uec3d'),
    UPLOAD("jam-upload", '\uec3f'),
    USER("jam-user", '\uec45'),
    USERS("jam-users", '\uec46'),
    USER_CIRCLE("jam-user-circle", '\uec40'),
    USER_MINUS("jam-user-minus", '\uec41'),
    USER_PLUS("jam-user-plus", '\uec42'),
    USER_REMOVE("jam-user-remove", '\uec43'),
    USER_SQUARE("jam-user-square", '\uec44'),
    VIADEO("jam-viadeo", '\uec47'),
    VIBER("jam-viber", '\uec4a'),
    VIBER_CIRCLE("jam-viber-circle", '\uec48'),
    VIBER_SQUARE("jam-viber-square", '\uec49'),
    VIDEO_CAMERA("jam-video-camera", '\uec4e'),
    VIDEO_CAMERA_F("jam-video-camera-f", '\uec4b'),
    VIDEO_CAMERA_VINTAGE("jam-video-camera-vintage", '\uec4d'),
    VIDEO_CAMERA_VINTAGE_F("jam-video-camera-vintage-f", '\uec4c'),
    VIMEO("jam-vimeo", '\uec51'),
    VIMEO_CIRCLE("jam-vimeo-circle", '\uec4f'),
    VIMEO_SQUARE("jam-vimeo-square", '\uec50'),
    VINE("jam-vine", '\uec54'),
    VINE_CIRCLE("jam-vine-circle", '\uec52'),
    VINE_SQUARE("jam-vine-square", '\uec53'),
    VOICEMAIL("jam-voicemail", '\uec55'),
    VOLUME("jam-volume", '\uec69'),
    VOLUME_CIRCLE("jam-volume-circle", '\uec57'),
    VOLUME_CIRCLE_F("jam-volume-circle-f", '\uec56'),
    VOLUME_DOWN("jam-volume-down", '\uec5c'),
    VOLUME_DOWN_CIRCLE("jam-volume-down-circle", '\uec59'),
    VOLUME_DOWN_CIRCLE_F("jam-volume-down-circle-f", '\uec58'),
    VOLUME_DOWN_SQUARE("jam-volume-down-square", '\uec5b'),
    VOLUME_DOWN_SQUARE_F("jam-volume-down-square-f", '\uec5a'),
    VOLUME_MUTE("jam-volume-mute", '\uec61'),
    VOLUME_MUTE_CIRCLE("jam-volume-mute-circle", '\uec5e'),
    VOLUME_MUTE_CIRCLE_F("jam-volume-mute-circle-f", '\uec5d'),
    VOLUME_MUTE_SQUARE("jam-volume-mute-square", '\uec60'),
    VOLUME_MUTE_SQUARE_F("jam-volume-mute-square-f", '\uec5f'),
    VOLUME_SQUARE("jam-volume-square", '\uec63'),
    VOLUME_SQUARE_F("jam-volume-square-f", '\uec62'),
    VOLUME_UP("jam-volume-up", '\uec68'),
    VOLUME_UP_CIRCLE("jam-volume-up-circle", '\uec65'),
    VOLUME_UP_CIRCLE_F("jam-volume-up-circle-f", '\uec64'),
    VOLUME_UP_SQUARE("jam-volume-up-square", '\uec67'),
    VOLUME_UP_SQUARE_F("jam-volume-up-square-f", '\uec66'),
    WATCH("jam-watch", '\uec6b'),
    WATCH_F("jam-watch-f", '\uec6a'),
    WATER_DROP("jam-water-drop", '\uec6d'),
    WATER_DROP_F("jam-water-drop-f", '\uec6c'),
    WHATSAPP("jam-whatsapp", '\uec6e'),
    WIFI("jam-wifi", '\uec6f'),
    WIKIPEDIA("jam-wikipedia", '\uec70'),
    WORDPRESS("jam-wordpress", '\uec71'),
    WORLD("jam-world", '\uec72'),
    WRENCH("jam-wrench", '\uec74'),
    WRENCH_F("jam-wrench-f", '\uec73'),
    WRITE("jam-write", '\uec76'),
    WRITE_F("jam-write-f", '\uec75'),
    YAHOO("jam-yahoo", '\uec79'),
    YAHOO_CIRCLE("jam-yahoo-circle", '\uec77'),
    YAHOO_SQUARE("jam-yahoo-square", '\uec78'),
    YELP("jam-yelp", '\uec7c'),
    YELP_CIRCLE("jam-yelp-circle", '\uec7a'),
    YELP_SQUARE("jam-yelp-square", '\uec7b'),
    YOUTUBE("jam-youtube", '\uec7f'),
    YOUTUBE_CIRCLE("jam-youtube-circle", '\uec7d'),
    YOUTUBE_SQUARE("jam-youtube-square", '\uec7e');

    public static Jam findByDescription(String description) {
        for (Jam font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    Jam(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}