/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2021 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.runestroicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Runestroicons implements Ikon {
    RI_3D("ri-3d", '\ue84a'),
    RI_500PX("ri-500px", '\ue645'),
    RI_5STAR_SHADOW("ri-5star-shadow", '\ue6ea'),
    ACCESS("ri-access", '\ue8ee'),
    ACROBAT("ri-acrobat", '\ue6fa'),
    ADDRESS_BOOK("ri-address-book", '\ue7f2'),
    ADDTHIS("ri-addthis", '\ue63d'),
    ADD_TO_CART("ri-add-to-cart", '\ue71b'),
    ADJUST("ri-adjust", '\ue8da'),
    AFTER_EFFECTS("ri-after-effects", '\ue687'),
    AIM("ri-aim", '\ue63f'),
    AIRBNB("ri-airbnb", '\ue896'),
    ALARM("ri-alarm", '\ue808'),
    ALGOLIA("ri-algolia", '\ue857'),
    ALIGN_CENTER("ri-align-center", '\ue8b9'),
    ALIGN_JUSTIFY("ri-align-justify", '\ue8bb'),
    ALIGN_LEFT("ri-align-left", '\ue8b8'),
    ALIGN_RIGHT("ri-align-right", '\ue8ba'),
    AMAZON("ri-amazon", '\ue6fc'),
    AMEX("ri-amex", '\ue95c'),
    ANDROID("ri-android", '\ue7d3'),
    ANGELLIST("ri-angellist", '\ue6cc'),
    ANGLE("ri-angle", '\ue738'),
    ANGLE2("ri-angle2", '\ue739'),
    ANGLE_DOUBLE("ri-angle-double", '\ue73a'),
    ANGULAR("ri-angular", '\ue6ca'),
    ANIMATE("ri-animate", '\ue8fd'),
    APPLE("ri-apple", '\ue7d6'),
    APPLE_PAY("ri-apple-pay", '\ue95b'),
    APPLE_PAY_ALT("ri-apple-pay-alt", '\ue95a'),
    APP_LAUNCHER("ri-app-launcher", '\ue6e2'),
    APP_STORE("ri-app-store", '\ue835'),
    APP_STORE_IOS("ri-app-store-ios", '\ue939'),
    AQUARIUS("ri-aquarius", '\ue6be'),
    ARCHERY("ri-archery", '\ue8ae'),
    ARCHIVE("ri-archive", '\ue66c'),
    ARCHIVE_BOX("ri-archive-box", '\ue6f0'),
    ARIES("ri-aries", '\ue6b4'),
    ARRIVING_FLIGHT("ri-arriving-flight", '\ue82a'),
    ARROW("ri-arrow", '\ue737'),
    ARROW2("ri-arrow2", '\ue828'),
    ARROWS("ri-arrows", '\ue768'),
    ARROW_SIGN("ri-arrow-sign", '\ue734'),
    ASTERISK("ri-asterisk", '\ue6ee'),
    ASTERISK2("ri-asterisk2", '\ue6f4'),
    AT("ri-at", '\ue6e8'),
    ATOM("ri-atom", '\ue842'),
    ATTACHMENT("ri-attachment", '\ue705'),
    ATTRACTION("ri-attraction", '\ue76d'),
    ATV("ri-atv", '\ue8ab'),
    AUDITION("ri-audition", '\ue689'),
    BACKWARD_CIRCLE("ri-backward-circle", '\ue7b6'),
    BADGE("ri-badge", '\ue6f3'),
    BAHAI("ri-bahai", '\ue8c7'),
    BALANCE_SCALE("ri-balance-scale", '\ue8c4'),
    BANDCAMP("ri-bandcamp", '\ue96f'),
    BARCODE("ri-barcode", '\ue71c'),
    BASEBALL("ri-baseball", '\ue8d3'),
    BASKET("ri-basket", '\ue71a'),
    BASKETBALL("ri-basketball", '\ue8d2'),
    BATTERY_0("ri-battery-0", '\ue628'),
    BATTERY_1("ri-battery-1", '\ue629'),
    BATTERY_2("ri-battery-2", '\ue62a'),
    BATTERY_3("ri-battery-3", '\ue62b'),
    BATTERY_CHARGING("ri-battery-charging", '\ue62c'),
    BEAR("ri-bear", '\ue8a9'),
    BEER("ri-beer", '\ue8b5'),
    BEHANCE("ri-behance", '\ue643'),
    BELL("ri-bell", '\ue8b6'),
    BELL_SLASH("ri-bell-slash", '\ue8b7'),
    BIN("ri-bin", '\ue741'),
    BING("ri-bing", '\ue698'),
    BIOHAZARD("ri-biohazard", '\ue6c4'),
    BIRTHDAY_CAKE("ri-birthday-cake", '\ue8c3'),
    BITCOIN("ri-bitcoin", '\ue899'),
    BITNAMI("ri-bitnami", '\ue7fa'),
    BLOCS("ri-blocs", '\ue83b'),
    BLOG("ri-blog", '\ue834'),
    BLOGGER("ri-blogger", '\ue64b'),
    BLUERAY("ri-blueray", '\ue6f1'),
    BLUETOOTH("ri-bluetooth", '\ue695'),
    BOOK("ri-book", '\ue684'),
    BOOKM_BLK("ri-bookm-blk", '\ue729'),
    BOOKS("ri-books", '\ue66d'),
    BOOTSTRAP("ri-bootstrap", '\ue7d9'),
    BOWLING("ri-bowling", '\ue8d4'),
    BOX_EMPTY("ri-box-empty", '\ue91c'),
    BOX_SELECTED("ri-box-selected", '\ue91d'),
    BRACKETS("ri-brackets", '\ue83d'),
    BRAIN("ri-brain", '\ue88a'),
    BRIDGE("ri-bridge", '\ue68a'),
    BUCKET("ri-bucket", '\ue760'),
    BULLET("ri-bullet", '\ue6eb'),
    BUS("ri-bus", '\ue7eb'),
    BUYSELLADS("ri-buysellads", '\ue96b'),
    BY("ri-by", '\ue748'),
    CAB("ri-cab", '\ue7ea'),
    CABIN("ri-cabin", '\ue87a'),
    CALCULATOR("ri-calculator", '\ue696'),
    CALENDAR("ri-calendar", '\ue66a'),
    CALENDAR_OPEN("ri-calendar-open", '\ue669'),
    CAMERA("ri-camera", '\ue7ba'),
    CAMERA_RETRO("ri-camera-retro", '\ue7b9'),
    CAMPERVAN("ri-campervan", '\ue957'),
    CAMPFIRE("ri-campfire", '\ue876'),
    CAMPGROUND("ri-campground", '\ue87b'),
    CANCEL("ri-cancel", '\ue798'),
    CANCEL_CIRCLE("ri-cancel-circle", '\ue796'),
    CANCER("ri-cancer", '\ue6b7'),
    CANOEING("ri-canoeing", '\ue85c'),
    CAPRICORN("ri-capricorn", '\ue6bd'),
    CARAVAN("ri-caravan", '\ue878'),
    CARD_CLUB("ri-card-club", '\ue67a'),
    CARD_DIAMOND("ri-card-diamond", '\ue67c'),
    CARD_HEART("ri-card-heart", '\ue67b'),
    CARD_SPADE("ri-card-spade", '\ue679'),
    CARET("ri-caret", '\ue73b'),
    CARET_CIRCLE("ri-caret-circle", '\ue73c'),
    CARS("ri-cars", '\ue8f8'),
    CC("ri-cc", '\ue747'),
    CC_MASTERCARD("ri-cc-mastercard", '\ue70f'),
    CC_PAYPAL("ri-cc-paypal", '\ue710'),
    CC_REMIX("ri-cc-remix", '\ue975'),
    CC_SAMPLING("ri-cc-sampling", '\ue976'),
    CC_SHARE("ri-cc-share", '\ue977'),
    CC_VISA("ri-cc-visa", '\ue70e'),
    CELCIUS("ri-celcius", '\ue6c0'),
    CERTIFICATE("ri-certificate", '\ue88b'),
    CE_MARK("ri-ce-mark", '\ue683'),
    CHAR("ri-char", '\ue6c3'),
    CHARACTER_ANIMATOR("ri-character-animator", '\ue8fe'),
    CHARGING_STATION("ri-charging-station", '\ue8fa'),
    CHART_AREA("ri-chart-area", '\ue8a4'),
    CHART_BAR("ri-chart-bar", '\ue8a5'),
    CHART_LINE("ri-chart-line", '\ue8a6'),
    CHART_PIE("ri-chart-pie", '\ue8a7'),
    CHAT("ri-chat", '\ue78a'),
    CHAT2("ri-chat2", '\ue833'),
    CHECKBOX_CHECKED("ri-checkbox-checked", '\ue779'),
    CHESS("ri-chess", '\ue8c9'),
    CHESS_BISHOP("ri-chess-bishop", '\ue8ca'),
    CHESS_BOARD("ri-chess-board", '\ue8c8'),
    CHESS_KING("ri-chess-king", '\ue8cb'),
    CHESS_KNIGHT("ri-chess-knight", '\ue8cc'),
    CHESS_PAWN("ri-chess-pawn", '\ue8cd'),
    CHESS_QUEEN("ri-chess-queen", '\ue8ce'),
    CHESS_ROOK("ri-chess-rook", '\ue8cf'),
    CHEVRON("ri-chevron", '\ue735'),
    CHEVRON_CIRCLE("ri-chevron-circle", '\ue736'),
    CHROME("ri-chrome", '\ue7aa'),
    CIRCLE("ri-circle", '\ue7db'),
    CIRCLEADD("ri-circleadd", '\ue792'),
    CIRCLEDELETE("ri-circledelete", '\ue794'),
    CIRCLESELECT("ri-circleselect", '\ue795'),
    CIRCLE_0("ri-circle-0", '\ue65d'),
    CIRCLE_1("ri-circle-1", '\ue65e'),
    CIRCLE_2("ri-circle-2", '\ue65f'),
    CIRCLE_3("ri-circle-3", '\ue660'),
    CIRCLE_4("ri-circle-4", '\ue661'),
    CIRCLE_5("ri-circle-5", '\ue662'),
    CIRCLE_6("ri-circle-6", '\ue663'),
    CIRCLE_7("ri-circle-7", '\ue664'),
    CIRCLE_8("ri-circle-8", '\ue665'),
    CIRCLE_9("ri-circle-9", '\ue666'),
    CIRCLE_ANGLE("ri-circle-angle", '\ue732'),
    CIRCLE_ARROW("ri-circle-arrow", '\ue730'),
    CIRCLE_ARROW_O("ri-circle-arrow-o", '\ue731'),
    CIRCLE_DOWNLOAD("ri-circle-download", '\ue677'),
    CIRCLE_FACEBOOK("ri-circle-facebook", '\ue781'),
    CIRCLE_GITHUB("ri-circle-github", '\ue79b'),
    CIRCLE_GOOGLEPLUS("ri-circle-googleplus", '\ue782'),
    CIRCLE_INSTAGRAM("ri-circle-instagram", '\ue783'),
    CIRCLE_LINKEDIN("ri-circle-linkedin", '\ue787'),
    CIRCLE_MAIL("ri-circle-mail", '\ue784'),
    CIRCLE_MINUS("ri-circle-minus", '\ue793'),
    CIRCLE_O("ri-circle-o", '\ue7dd'),
    CIRCLE_O_NOTCH("ri-circle-o-notch", '\ue765'),
    CIRCLE_PINTEREST("ri-circle-pinterest", '\ue786'),
    CIRCLE_SHARE("ri-circle-share", '\ue785'),
    CIRCLE_THINLINE("ri-circle-thinline", '\ue7dc'),
    CIRCLE_TWITTER("ri-circle-twitter", '\ue788'),
    CIRCLE_UPLOAD("ri-circle-upload", '\ue676'),
    CIRCLE_YOUTUBE("ri-circle-youtube", '\ue789'),
    CLASS_NOTEBOOK("ri-class-notebook", '\ue8f1'),
    CLIMBING("ri-climbing", '\ue888'),
    CLOCK("ri-clock", '\ue772'),
    CLOUDVERSIFY("ri-cloudversify", '\ue96d'),
    CLOUDY("ri-cloudy", '\ue6d9'),
    CODE("ri-code", '\ue83e'),
    CODEANYWHERE("ri-codeanywhere", '\ue762'),
    CODEPEN("ri-codepen", '\ue7a6'),
    CODERWALL("ri-coderwall", '\ue6d0'),
    CODIEPIE("ri-codiepie", '\ue89f'),
    CODYHOUSE("ri-codyhouse", '\ue906'),
    COFFEE("ri-coffee", '\ue7e6'),
    COFFEE_MACHINE("ri-coffee-machine", '\ue94e'),
    COGS("ri-cogs", '\ue770'),
    COLOURS("ri-colours", '\ue75f'),
    COMMENT("ri-comment", '\ue78b'),
    COMMENT2("ri-comment2", '\ue7ef'),
    COMMENT_QUOTE("ri-comment-quote", '\ue78c'),
    COMMENT_QUOTES("ri-comment-quotes", '\ue909'),
    COMPASS("ri-compass", '\ue809'),
    CONNECTION_WIFI("ri-connection-wifi", '\ue691'),
    CONSTRUCTION("ri-construction", '\ue771'),
    CONTACTS("ri-contacts", '\ue7b0'),
    COPY("ri-copy", '\ue707'),
    CREATIVECLOUD("ri-creativecloud", '\ue6d6'),
    CREDITCARD("ri-creditcard", '\ue70d'),
    CREDITCARD_ALT("ri-creditcard-alt", '\ue8c1'),
    CROSS_COUNTRY("ri-cross-country", '\ue85d'),
    CROSS_PATTEE("ri-cross-pattee", '\ue860'),
    CSS3("ri-css3", '\ue75e'),
    CSSDECK("ri-cssdeck", '\ue837'),
    CURSOR("ri-cursor", '\ue924'),
    CUT("ri-cut", '\ue706'),
    CUTLERY("ri-cutlery", '\ue7e7'),
    CUTTLEFISH("ri-cuttlefish", '\ue95e'),
    CYCLING("ri-cycling", '\ue81d'),
    C_TICK("ri-c-tick", '\ue882'),
    DANGER_AHEAD("ri-danger-ahead", '\ue87f'),
    DATABASE("ri-database", '\ue674'),
    DATA_MOUSE("ri-data-mouse", '\ue94a'),
    DECO_BULLET("ri-deco-bullet", '\ue6ec'),
    DELICIOUS("ri-delicious", '\ue648'),
    DEPARTING_FLIGHT("ri-departing-flight", '\ue829'),
    DESKPRO("ri-deskpro", '\ue940'),
    DESKTOP("ri-desktop", '\ue7e0'),
    DEVIANTART("ri-deviantart", '\ue7c7'),
    DHARMA_WHEEL("ri-dharma-wheel", '\ue864'),
    DIALPAD("ri-dialpad", '\ue97e'),
    DICE_FIVE("ri-dice-five", '\ue77e'),
    DICE_FOUR("ri-dice-four", '\ue77d'),
    DICE_ONE("ri-dice-one", '\ue77a'),
    DICE_SIX("ri-dice-six", '\ue77f'),
    DICE_THREE("ri-dice-three", '\ue77c'),
    DICE_TWO("ri-dice-two", '\ue77b'),
    DIGG("ri-digg", '\ue64c'),
    DIGITALOCEAN("ri-digitalocean", '\ue963'),
    DIMENSION("ri-dimension", '\ue8ff'),
    DINERS_CLUB("ri-diners-club", '\ue966'),
    DINING_SET("ri-dining-set", '\ue8fb'),
    DISAPPOINTED_FACE("ri-disappointed-face", '\ue6af'),
    DISC("ri-disc", '\ue7f5'),
    DISCOURSE("ri-discourse", '\ue970'),
    DISHWASHER("ri-dishwasher", '\ue951'),
    DIVING("ri-diving", '\ue873'),
    DOCKER("ri-docker", '\ue8f5'),
    DOCS_COM("ri-docs-com", '\ue600'),
    DOC_EDIT("ri-doc-edit", '\ue88d'),
    DOGS_ON_LEASH("ri-dogs-on-leash", '\ue870'),
    DOMAIN2("ri-domain2", '\ue73e'),
    DOWNLOAD("ri-download", '\ue682'),
    DREAMWEAVER("ri-dreamweaver", '\ue68b'),
    DRIBBBLE("ri-dribbble", '\ue638'),
    DRIVE("ri-drive", '\ue921'),
    DRIVE_O("ri-drive-o", '\ue922'),
    DROPBOX("ri-dropbox", '\ue7c6'),
    DRUPAL8("ri-drupal8", '\ue7ff'),
    DVD("ri-dvd", '\ue6f2'),
    DYALOG("ri-dyalog", '\ue972'),
    EASEL("ri-easel", '\ue920'),
    EDIT("ri-edit", '\ue746'),
    EJECT("ri-eject", '\ue659'),
    EJECT_CIRCLE("ri-eject-circle", '\ue7b8'),
    ELECTRICITY("ri-electricity", '\ue8f6'),
    ELLIPSIS("ri-ellipsis", '\ue774'),
    EL_HAZARD("ri-el-hazard", '\ue831'),
    ENCORE("ri-encore", '\ue900'),
    ENVATO("ri-envato", '\ue838'),
    ENVELOPE("ri-envelope", '\ue714'),
    ENVELOPE_O("ri-envelope-o", '\ue713'),
    ENVIRA("ri-envira", '\ue96c'),
    ETSY("ri-etsy", '\ue62e'),
    EVERNOTE("ri-evernote", '\ue642'),
    EXCEL("ri-excel", '\ue60a'),
    EXCHANGE("ri-exchange", '\ue601'),
    EXCLAMATION_CIRCLE("ri-exclamation-circle", '\ue7df'),
    EXIT("ri-exit", '\ue884'),
    EXPAND("ri-expand", '\ue72e'),
    EXPEDITEDSSL("ri-expeditedssl", '\ue89b'),
    EXPOSURE("ri-exposure", '\ue686'),
    EYE("ri-eye", '\ue80c'),
    EYEDROPPER("ri-eyedropper", '\ue745'),
    FACEBOOK("ri-facebook", '\ue649'),
    FACEBOOK2("ri-facebook2", '\ue7a4'),
    FAHRENHEIT("ri-fahrenheit", '\ue6c1'),
    FAMILY("ri-family", '\ue821'),
    FAMILY_GROUP("ri-family-group", '\ue90a'),
    FAST_FORWARD("ri-fast-forward", '\ue657'),
    FAVORITES("ri-favorites", '\ue728'),
    FEEDLY("ri-feedly", '\ue6c6'),
    FILES("ri-files", '\ue6a8'),
    FILE_AI("ri-file-ai", '\ue619'),
    FILE_AIF("ri-file-aif", '\ue90c'),
    FILE_ASP("ri-file-asp", '\ue622'),
    FILE_AVI("ri-file-avi", '\ue612'),
    FILE_CSS("ri-file-css", '\ue61e'),
    FILE_CSV("ri-file-csv", '\ue90d'),
    FILE_DMG("ri-file-dmg", '\ue90e'),
    FILE_DOCX("ri-file-docx", '\ue60f'),
    FILE_EOT("ri-file-eot", '\ue90f'),
    FILE_EPS("ri-file-eps", '\ue61a'),
    FILE_EXE("ri-file-exe", '\ue61d'),
    FILE_GIF("ri-file-gif", '\ue618'),
    FILE_HTML("ri-file-html", '\ue621'),
    FILE_ICO("ri-file-ico", '\ue910'),
    FILE_INDD("ri-file-indd", '\ue911'),
    FILE_ISO("ri-file-iso", '\ue912'),
    FILE_JPG("ri-file-jpg", '\ue617'),
    FILE_JS("ri-file-js", '\ue61f'),
    FILE_LESS("ri-file-less", '\ue913'),
    FILE_MID("ri-file-mid", '\ue914'),
    FILE_MOV("ri-file-mov", '\ue614'),
    FILE_MP3("ri-file-mp3", '\ue610'),
    FILE_MP4("ri-file-mp4", '\ue613'),
    FILE_MPG("ri-file-mpg", '\ue915'),
    FILE_O("ri-file-o", '\ue709'),
    FILE_OTF("ri-file-otf", '\ue623'),
    FILE_PDF("ri-file-pdf", '\ue61b'),
    FILE_PHP("ri-file-php", '\ue620'),
    FILE_PNG("ri-file-png", '\ue615'),
    FILE_PPTX("ri-file-pptx", '\ue916'),
    FILE_PSD("ri-file-psd", '\ue616'),
    FILE_RAR("ri-file-rar", '\ue625'),
    FILE_RAW("ri-file-raw", '\ue811'),
    FILE_RTF("ri-file-rtf", '\ue917'),
    FILE_SITX("ri-file-sitx", '\ue918'),
    FILE_SQL("ri-file-sql", '\ue61c'),
    FILE_SVG("ri-file-svg", '\ue626'),
    FILE_TTF("ri-file-ttf", '\ue810'),
    FILE_TXT("ri-file-txt", '\ue627'),
    FILE_WAV("ri-file-wav", '\ue611'),
    FILE_WOFF("ri-file-woff", '\ue919'),
    FILE_XLSX("ri-file-xlsx", '\ue91a'),
    FILE_ZIP("ri-file-zip", '\ue624'),
    FILM("ri-film", '\ue76b'),
    FINDER("ri-finder", '\ue7d7'),
    FIND_IN_PAGE("ri-find-in-page", '\ue65b'),
    FINGERPRINT("ri-fingerprint", '\ue701'),
    FIREFOX("ri-firefox", '\ue7ab'),
    FIREWORKS("ri-fireworks", '\ue68c'),
    FIRE_EXTINGUISHER("ri-fire-extinguisher", '\ue75a'),
    FISHING("ri-fishing", '\ue86d'),
    FLASHPLAYER("ri-flashplayer", '\ue636'),
    FLICKR("ri-flickr", '\ue63b'),
    FLIPBOARD("ri-flipboard", '\ue644'),
    FLY("ri-fly", '\ue96e'),
    FOLDER("ri-folder", '\ue978'),
    FOLDER_ADD("ri-folder-add", '\ue97a'),
    FOLDER_OPEN("ri-folder-open", '\ue979'),
    FOLDER_SHARED("ri-folder-shared", '\ue97b'),
    FONT("ri-font", '\ue8d9'),
    FOOD_WASTE("ri-food-waste", '\ue82e'),
    FOOTBALL("ri-football", '\ue8d5'),
    FOREST("ri-forest", '\ue8e0'),
    FORUMBEE("ri-forumbee", '\ue89d'),
    FORWARD("ri-forward", '\ue656'),
    FORWARD_CIRCLE("ri-forward-circle", '\ue7b7'),
    FOURSQUARE("ri-foursquare", '\ue631'),
    FRAME("ri-frame", '\ue7f0'),
    FREEBSB("ri-freebsb", '\ue960'),
    FRIDGE("ri-fridge", '\ue953'),
    FROWNING_FACE("ri-frowning-face", '\ue6b2'),
    FULLSCR("ri-fullscr", '\ue72c'),
    FULLSCR_ESC("ri-fullscr-esc", '\ue72d'),
    FUSE("ri-fuse", '\ue901'),
    GAME_PAD("ri-game-pad", '\ue948'),
    GEMINI("ri-gemini", '\ue6b6'),
    GESTURE("ri-gesture", '\ue981'),
    GETTYIMAGES("ri-gettyimages", '\ue66b'),
    GG("ri-gg", '\ue971'),
    GIFT("ri-gift", '\ue8c2'),
    GITHUB("ri-github", '\ue637'),
    GITLAB("ri-gitlab", '\ue69f'),
    GLIDE("ri-glide", '\ue6a0'),
    GLOBE("ri-globe", '\ue6e4'),
    GLOBE_2("ri-globe-2", '\ue73d'),
    GLOBUS("ri-globus", '\ue91e'),
    GMAIL("ri-gmail", '\ue7a5'),
    GO("ri-go", '\ue6df'),
    GO2("ri-go2", '\ue780'),
    GOFORE("ri-gofore", '\ue973'),
    GOLF("ri-golf", '\ue8d0'),
    GOLFING("ri-golfing", '\ue859'),
    GOLF_CART("ri-golf-cart", '\ue954'),
    GOOGLE("ri-google", '\ue79f'),
    GOOGLEPLUS("ri-googleplus", '\ue7a0'),
    GOOGLE_DRIVE("ri-google-drive", '\ue7ca'),
    GOOGLE_PLAY("ri-google-play", '\ue6fb'),
    GOOGLE_WD("ri-google-wd", '\ue69c'),
    GRAV("ri-grav", '\ue635'),
    GREEN_DOT("ri-green-dot", '\ue7f9'),
    GROUP("ri-group", '\ue7b1'),
    GUITAR("ri-guitar", '\ue886'),
    G_TRANSLATE("ri-g-translate", '\ue65c'),
    G_WALLET("ri-g-wallet", '\ue711'),
    HANGOUTS("ri-hangouts", '\ue7cb'),
    HD("ri-hd", '\ue65a'),
    HEADPHONES("ri-headphones", '\ue6d3'),
    HEADSET("ri-headset", '\ue949'),
    HEART("ri-heart", '\ue777'),
    HEART_O("ri-heart-o", '\ue80d'),
    HEROKU("ri-heroku", '\ue850'),
    HIKING("ri-hiking", '\ue8ad'),
    HIKING_TRAIL("ri-hiking-trail", '\ue86c'),
    HOME("ri-home", '\ue703'),
    HOME2("ri-home2", '\ue704'),
    HOOTSUITE("ri-hootsuite", '\ue69d'),
    HOOVER("ri-hoover", '\ue94d'),
    HORSE_RIDING("ri-horse-riding", '\ue858'),
    HOURGLASS("ri-hourglass", '\ue925'),
    HOUSES("ri-houses", '\ue8fc'),
    HTML5("ri-html5", '\ue75d'),
    ICLOUD("ri-icloud", '\ue6ce'),
    ICQ("ri-icq", '\ue63a'),
    IE("ri-ie", '\ue7ac'),
    ILLUSTRATOR("ri-illustrator", '\ue688'),
    IMAGE("ri-image", '\ue7bd'),
    IMAGE_GALLERY("ri-image-gallery", '\ue7bb'),
    IMAGE_GALLERY2("ri-image-gallery2", '\ue7bc'),
    IMAGE_PORTRAIT("ri-image-portrait", '\ue7be'),
    IMDB("ri-imdb", '\ue719'),
    IMPORT("ri-import", '\ue715'),
    IMPORT_EXPORT("ri-import-export", '\ue980'),
    INDENT("ri-indent", '\ue8dc'),
    INDESIGN("ri-indesign", '\ue68d'),
    INDUSTRY("ri-industry", '\ue894'),
    INFINITY("ri-infinity", '\ue761'),
    INFO("ri-info", '\ue71f'),
    INFO_CIRCLE("ri-info-circle", '\ue71d'),
    INFO_CIRCLE2("ri-info-circle2", '\ue71e'),
    INSTAGRAM("ri-instagram", '\ue64e'),
    INTERSECTION("ri-intersection", '\ue983'),
    INT_ALPINE("ri-int-alpine", '\ue74f'),
    INT_BED("ri-int-bed", '\ue753'),
    INT_BICYCLE("ri-int-bicycle", '\ue845'),
    INT_BUS("ri-int-bus", '\ue754'),
    INT_CAR_RENTAL("ri-int-car-rental", '\ue822'),
    INT_CUTLERY("ri-int-cutlery", '\ue8af'),
    INT_DEPARTURE("ri-int-departure", '\ue825'),
    INT_ELEVATOR("ri-int-elevator", '\ue751'),
    INT_ESCALATOR("ri-int-escalator", '\ue868'),
    INT_EXIT("ri-int-exit", '\ue848'),
    INT_FIRSTAID("ri-int-firstaid", '\ue759'),
    INT_FUEL("ri-int-fuel", '\ue758'),
    INT_GENTS("ri-int-gents", '\ue75c'),
    INT_GUARD("ri-int-guard", '\ue750'),
    INT_HELIPORT("ri-int-heliport", '\ue846'),
    INT_HORSE_RIDING("ri-int-horse-riding", '\ue8aa'),
    INT_LADIES("ri-int-ladies", '\ue75b'),
    INT_LIGHTHOUSE("ri-int-lighthouse", '\ue844'),
    INT_LITTER("ri-int-litter", '\ue752'),
    INT_LOCKER("ri-int-locker", '\ue74e'),
    INT_P("ri-int-p", '\ue757'),
    INT_PHONE("ri-int-phone", '\ue756'),
    INT_PLANE("ri-int-plane", '\ue755'),
    INT_SHIP("ri-int-ship", '\ue823'),
    INT_STAIRS("ri-int-stairs", '\ue869'),
    INT_SWIM("ri-int-swim", '\ue74d'),
    INT_TOILETS("ri-int-toilets", '\ue824'),
    INT_TRAIN("ri-int-train", '\ue74c'),
    INT_TRAM("ri-int-tram", '\ue847'),
    INT_WATER("ri-int-water", '\ue74b'),
    INT_WHEELCHAIR("ri-int-wheelchair", '\ue74a'),
    IOS_PHOTO("ri-ios-photo", '\ue93a'),
    ISSUU("ri-issuu", '\ue630'),
    ITUNES("ri-itunes", '\ue7c4'),
    JOOMLA("ri-joomla", '\ue79d'),
    JQUERY("ri-jquery", '\ue7a8'),
    JQUERY_UI("ri-jquery-ui", '\ue83a'),
    JSDELIVR("ri-jsdelivr", '\ue6c5'),
    JSFIDDLE("ri-jsfiddle", '\ue79e'),
    KAKAOTALK("ri-kakaotalk", '\ue819'),
    KAYAKING("ri-kayaking", '\ue85b'),
    KEY("ri-key", '\ue67d'),
    KEYBOARD("ri-keyboard", '\ue718'),
    KEYB_A("ri-keyb-a", '\ue8e9'),
    KEYB_DOWN("ri-keyb-down", '\ue8eb'),
    KEYB_LEFT("ri-keyb-left", '\ue8ec'),
    KEYB_RIGHT("ri-keyb-right", '\ue8ed'),
    KEYB_UP("ri-keyb-up", '\ue8ea'),
    KICKSTARTER("ri-kickstarter", '\ue944'),
    KIK("ri-kik", '\ue633'),
    KISSING_FACE("ri-kissing-face", '\ue6ae'),
    KLOUT("ri-klout", '\ue851'),
    LAB("ri-lab", '\ue93c'),
    LAPTOP("ri-laptop", '\ue7e1'),
    LASTFM("ri-lastfm", '\ue6f9'),
    LATIN_CROSS("ri-latin-cross", '\ue865'),
    LAUGHING_SMILING_EYES("ri-laughing-smiling-eyes", '\ue6ab'),
    LAUNCHPAD("ri-launchpad", '\ue76a'),
    LEMON("ri-lemon", '\ue8d7'),
    LEO("ri-leo", '\ue6b8'),
    LESS("ri-less", '\ue840'),
    LIBRA("ri-libra", '\ue6ba'),
    LIBRARY("ri-library", '\ue6ff'),
    LIFE_RING("ri-life-ring", '\ue895'),
    LIGHTNING("ri-lightning", '\ue6db'),
    LIGHTROOM("ri-lightroom", '\ue68e'),
    LINE("ri-line", '\ue6c9'),
    LINK("ri-link", '\ue673'),
    LINKEDIN("ri-linkedin", '\ue79a'),
    LINUX("ri-linux", '\ue7d2'),
    LINUX_NEW("ri-linux-new", '\ue947'),
    LIST("ri-list", '\ue8bc'),
    LIST_ALT("ri-list-alt", '\ue8c0'),
    LIST_OL("ri-list-ol", '\ue8bd'),
    LIST_UL("ri-list-ul", '\ue8be'),
    LIVESTREAM("ri-livestream", '\ue7d8'),
    LOCK("ri-lock", '\ue667'),
    LOCK_OPEN("ri-lock-open", '\ue668'),
    LOGOUT("ri-logout", '\ue81b'),
    LONDON_TUBE("ri-london-tube", '\ue670'),
    LYNC("ri-lync", '\ue8f0'),
    MAGENTO("ri-magento", '\ue84f'),
    MAGIC_WAND("ri-magic-wand", '\ue93d'),
    MAILCHIMP("ri-mailchimp", '\ue943'),
    MAIL_SEND("ri-mail-send", '\ue6de'),
    MAIL_SEND2("ri-mail-send2", '\ue812'),
    MAP("ri-map", '\ue80a'),
    MAP2("ri-map2", '\ue80b'),
    MAP_MARKER("ri-map-marker", '\ue671'),
    MARKER("ri-marker", '\ue813'),
    MARKETPLACE("ri-marketplace", '\ue699'),
    MARKET_RESEARCH("ri-market-research", '\ue891'),
    MARS("ri-mars", '\ue80f'),
    MAXCDN("ri-maxcdn", '\ue6cb'),
    MEDAL_ONE("ri-medal-one", '\ue88c'),
    MEDIUM("ri-medium", '\ue7fc'),
    MEDKIT("ri-medkit", '\ue7f4'),
    MEETUP("ri-meetup", '\ue6a2'),
    MENU("ri-menu", '\ue775'),
    MESSENGER("ri-messenger", '\ue7c1'),
    METAL_GLASS_WASTE("ri-metal-glass-waste", '\ue82f'),
    MIC("ri-mic", '\ue6d2'),
    MICROSOFT("ri-microsoft", '\ue60d'),
    MICROWAVE_OVEN("ri-microwave-oven", '\ue94f'),
    MISC_WASTE("ri-misc-waste", '\ue82b'),
    MIXCLOUD("ri-mixcloud", '\ue7fe'),
    MODX("ri-modx", '\ue800'),
    MONERO("ri-monero", '\ue96a'),
    MONITOR("ri-monitor", '\ue94c'),
    MOON("ri-moon", '\ue6e5'),
    MOTORHOME("ri-motorhome", '\ue879'),
    MOUNTAIN("ri-mountain", '\ue8de'),
    MOUNTAIN_BIKING("ri-mountain-biking", '\ue887'),
    MOUSE("ri-mouse", '\ue6f8'),
    MOVIE_CLAPPER("ri-movie-clapper", '\ue6e7'),
    MSN("ri-msn", '\ue7c0'),
    MS_EDGE("ri-ms-edge", '\ue7a9'),
    MS_FORMS("ri-ms-forms", '\ue8ef'),
    MUSE("ri-muse", '\ue903'),
    MUSICALNOTE("ri-musicalnote", '\ue67e'),
    MYSPACE("ri-myspace", '\ue7cf'),
    NEWSPAPER("ri-newspaper", '\ue697'),
    NODE_JS("ri-node-js", '\ue854'),
    NOENTRY("ri-noentry", '\ue76c'),
    NORTH("ri-north", '\ue8e3'),
    NORTH_ALT("ri-north-alt", '\ue8e5'),
    NORTH_BADGE("ri-north-badge", '\ue8e6'),
    NORTH_BADGE_O("ri-north-badge-o", '\ue8e7'),
    NORTH_BANNER("ri-north-banner", '\ue8e8'),
    NORTH_O("ri-north-o", '\ue8e4'),
    NOTEPAD("ri-notepad", '\ue7f1'),
    NOTIFICATIONS("ri-notifications", '\ue6e0'),
    NO_ENTRY("ri-no-entry", '\ue87d'),
    NO_SMOKING("ri-no-smoking", '\ue87c'),
    NPM("ri-npm", '\ue969'),
    OFFICE("ri-office", '\ue60b'),
    OFFICE365("ri-office365", '\ue60c'),
    OFFROAD("ri-offroad", '\ue8ac'),
    OK("ri-ok", '\ue799'),
    OM("ri-om", '\ue862'),
    ONEDRIVE("ri-onedrive", '\ue6d5'),
    ONENOTE("ri-onenote", '\ue602'),
    OPACITY("ri-opacity", '\ue849'),
    OPEN_ID("ri-open-id", '\ue89c'),
    OPERA("ri-opera", '\ue7ad'),
    ORANGE("ri-orange", '\ue8d8'),
    OUTDENT("ri-outdent", '\ue8db'),
    OUTLOOK("ri-outlook", '\ue603'),
    OVEN("ri-oven", '\ue952'),
    PAGELINES("ri-pagelines", '\ue7a2'),
    PAINTBRUSH("ri-paintbrush", '\ue742'),
    PAINTBRUSH_ALT("ri-paintbrush-alt", '\ue90b'),
    PALETTE("ri-palette", '\ue6f7'),
    PAPER_WASTE("ri-paper-waste", '\ue82d'),
    PARK("ri-park", '\ue8df'),
    PARTLY_CLOUDY("ri-partly-cloudy", '\ue6d8'),
    PASTE("ri-paste", '\ue708'),
    PATH("ri-path", '\ue7fb'),
    PAUSE("ri-pause", '\ue654'),
    PAUSE_CIRCLE("ri-pause-circle", '\ue7b4'),
    PAYPAL("ri-paypal", '\ue7fd'),
    PEACE("ri-peace", '\ue866'),
    PENCIL("ri-pencil", '\ue743'),
    PENCIL2("ri-pencil2", '\ue744'),
    PENS("ri-pens", '\ue923'),
    PERFORMANCE_UP("ri-performance-up", '\ue88f'),
    PERSEVERING_FACE("ri-persevering-face", '\ue6b1'),
    PHONE("ri-phone", '\ue716'),
    PHONEGAP("ri-phonegap", '\ue83c'),
    PHONE_VOL("ri-phone-vol", '\ue6cf'),
    PHOTOSHOP("ri-photoshop", '\ue690'),
    PHP("ri-php", '\ue841'),
    PICASA("ri-picasa", '\ue640'),
    PIE("ri-pie", '\ue6c2'),
    PINTEREST("ri-pinterest", '\ue639'),
    PISCES("ri-pisces", '\ue6bf'),
    PLASTIC_WASTE("ri-plastic-waste", '\ue82c'),
    PLAY("ri-play", '\ue653'),
    PLAYSTATION("ri-playstation", '\ue69b'),
    PLAY_CIRCLE("ri-play-circle", '\ue7b3'),
    PLUG("ri-plug", '\ue93b'),
    PLUS("ri-plus", '\ue807'),
    POCKET("ri-pocket", '\ue7cd'),
    PODCAST("ri-podcast", '\ue6a5'),
    POWERPOINT("ri-powerpoint", '\ue604'),
    PRELUDE("ri-prelude", '\ue904'),
    PREMIERE("ri-premiere", '\ue68f'),
    PRINTER("ri-printer", '\ue70b'),
    PRODUCTHUNT("ri-producthunt", '\ue6a6'),
    PROJECT("ri-project", '\ue605'),
    PUBLISHER("ri-publisher", '\ue606'),
    PYTHON("ri-python", '\ue856'),
    QRCODE("ri-qrcode", '\ue773'),
    QROSS("ri-qross", '\ue84d'),
    QUESTION("ri-question", '\ue70c'),
    QUORA("ri-quora", '\ue84c'),
    QUOTES1("ri-quotes1", '\ue685'),
    QUOTES2("ri-quotes2", '\ue6a4'),
    QWANT("ri-qwant", '\ue802'),
    QZONE("ri-qzone", '\ue961'),
    RADIO("ri-radio", '\ue717'),
    RADIOACTIVE("ri-radioactive", '\ue680'),
    RAINY("ri-rainy", '\ue6da'),
    REACT("ri-react", '\ue843'),
    REASON_ML("ri-reason-ml", '\ue968'),
    RECYCLE("ri-recycle", '\ue6cd'),
    RECYCLE_O("ri-recycle-o", '\ue7d1'),
    REDDIT("ri-reddit", '\ue7a1'),
    REFRESH("ri-refresh", '\ue766'),
    REGISTERED("ri-registered", '\ue702'),
    REMOVE("ri-remove", '\ue740'),
    RENREN("ri-renren", '\ue93f'),
    RESPONSIVE("ri-responsive", '\ue7e5'),
    REST_STOP("ri-rest-stop", '\ue956'),
    ROAD_WORKS("ri-road-works", '\ue87e'),
    ROCK_CLIMBING("ri-rock-climbing", '\ue86b'),
    ROTATE_C("ri-rotate-c", '\ue907'),
    ROTATE_CC("ri-rotate-cc", '\ue908'),
    RSS("ri-rss", '\ue769'),
    RUBY("ri-ruby", '\ue855'),
    RUNNING("ri-running", '\ue81e'),
    SA("ri-sa", '\ue749'),
    SAFARI("ri-safari", '\ue7ae'),
    SAGITTARIUS("ri-sagittarius", '\ue6bc'),
    SAILING("ri-sailing", '\ue86e'),
    SASS("ri-sass", '\ue83f'),
    SAVE("ri-save", '\ue70a'),
    SCALA("ri-scala", '\ue853'),
    SCIENCE("ri-science", '\ue6fe'),
    SCOOPIT("ri-scoopit", '\ue63c'),
    SCORPIO("ri-scorpio", '\ue6bb'),
    SCRIBD("ri-scribd", '\ue6fd'),
    SDG("ri-sdg", '\ue938'),
    SDG1("ri-sdg1", '\ue927'),
    SDG10("ri-sdg10", '\ue930'),
    SDG11("ri-sdg11", '\ue931'),
    SDG12("ri-sdg12", '\ue932'),
    SDG13("ri-sdg13", '\ue933'),
    SDG14("ri-sdg14", '\ue934'),
    SDG15("ri-sdg15", '\ue935'),
    SDG16("ri-sdg16", '\ue936'),
    SDG17("ri-sdg17", '\ue937'),
    SDG2("ri-sdg2", '\ue928'),
    SDG3("ri-sdg3", '\ue929'),
    SDG4("ri-sdg4", '\ue92a'),
    SDG5("ri-sdg5", '\ue92b'),
    SDG6("ri-sdg6", '\ue92c'),
    SDG7("ri-sdg7", '\ue92d'),
    SDG8("ri-sdg8", '\ue92e'),
    SDG9("ri-sdg9", '\ue92f'),
    SD_CARD("ri-sd-card", '\ue72b'),
    SEAPLANE("ri-seaplane", '\ue86f'),
    SEARCH("ri-search", '\ue763'),
    SELECT("ri-select", '\ue6e1'),
    SELECT_CELLS("ri-select-cells", '\ue66f'),
    SELECT_CIRCLE("ri-select-circle", '\ue797'),
    SELLFY("ri-sellfy", '\ue95d'),
    SENTRY("ri-sentry", '\ue965'),
    SEO_MONITORING("ri-seo-monitoring", '\ue890'),
    SHAPES("ri-shapes", '\ue6e3'),
    SHARE("ri-share", '\ue803'),
    SHARE2("ri-share2", '\ue804'),
    SHAREPOINT("ri-sharepoint", '\ue607'),
    SHARING("ri-sharing", '\ue73f'),
    SHIELD("ri-shield", '\ue91f'),
    SHINTO("ri-shinto", '\ue8c5'),
    SHIPPING_EXPRESS("ri-shipping-express", '\ue955'),
    SHOWER("ri-shower", '\ue875'),
    SHRINK("ri-shrink", '\ue72f'),
    SHUT_DOWN("ri-shut-down", '\ue778'),
    SIGNAL_0("ri-signal-0", '\ue722'),
    SIGNAL_1("ri-signal-1", '\ue723'),
    SIGNAL_2("ri-signal-2", '\ue724'),
    SIGNAL_3("ri-signal-3", '\ue725'),
    SIGNAL_4("ri-signal-4", '\ue726'),
    SIGNAL_5("ri-signal-5", '\ue727'),
    SIGN_IN("ri-sign-in", '\ue805'),
    SIGN_OUT("ri-sign-out", '\ue806'),
    SIKH("ri-sikh", '\ue8c6'),
    SIMPLEVIEW("ri-simpleview", '\ue93e'),
    SITEMAP("ri-sitemap", '\ue7f6'),
    SKATEBOARDING("ri-skateboarding", '\ue85a'),
    SKATING("ri-skating", '\ue85e'),
    SKI_RACING("ri-ski-racing", '\ue85f'),
    SKYPE("ri-skype", '\ue7c5'),
    SLACK("ri-slack", '\ue6a7'),
    SLIDERS("ri-sliders", '\ue892'),
    SLIPPERY_STEPS("ri-slippery-steps", '\ue8a8'),
    SMARTPHONE("ri-smartphone", '\ue7e3'),
    SMARTWATCH("ri-smartwatch", '\ue81a'),
    SMILING_EYES("ri-smiling-eyes", '\ue6aa'),
    SMILING_FACE("ri-smiling-face", '\ue6a9'),
    SMILING_HEART_EYES("ri-smiling-heart-eyes", '\ue6ad'),
    SNAPCHAT("ri-snapchat", '\ue6a3'),
    SNOWFLAKE("ri-snowflake", '\ue6dd'),
    SNOWY("ri-snowy", '\ue6dc'),
    SOCCER("ri-soccer", '\ue8d6'),
    SOUNDCLOUD("ri-soundcloud", '\ue7d0'),
    SPEAKER("ri-speaker", '\ue97d'),
    SPEED_GRADE("ri-speed-grade", '\ue905'),
    SPINNER("ri-spinner", '\ue764'),
    SPINNER3("ri-spinner3", '\ue767'),
    SPOTIFY("ri-spotify", '\ue7c9'),
    SQUARE("ri-square", '\ue7da'),
    SQUARESPACE("ri-squarespace", '\ue634'),
    SQUARE_BULLET("ri-square-bullet", '\ue6e9'),
    SQUARE_BULLET2("ri-square-bullet2", '\ue6ed'),
    SQUARE_CALC("ri-square-calc", '\ue776'),
    SQUARE_DIVIDE("ri-square-divide", '\ue790'),
    SQUARE_MINUS("ri-square-minus", '\ue78e'),
    SQUARE_MULTI("ri-square-multi", '\ue78f'),
    SQUARE_PHONE("ri-square-phone", '\ue817'),
    SQUARE_PLUS("ri-square-plus", '\ue78d'),
    SQUARE_SUM("ri-square-sum", '\ue791'),
    STACKEXCHANGE("ri-stackexchange", '\ue69e'),
    STACKOVERFLOW("ri-stackoverflow", '\ue62d'),
    STACKPATH("ri-stackpath", '\ue974'),
    START_CHAT("ri-start-chat", '\ue712'),
    STAR_AND_CRESCENT("ri-star-and-crescent", '\ue863'),
    STAR_E("ri-star-e", '\ue6ef'),
    STAR_OF_DAVID("ri-star-of-david", '\ue861'),
    STAR_SMALL("ri-star-small", '\ue6f5'),
    STATIONARY_PC("ri-stationary-pc", '\ue94b'),
    STATS("ri-stats", '\ue830'),
    STEP_FORWARD("ri-step-forward", '\ue658'),
    STOP("ri-stop", '\ue655'),
    STOPWATCH("ri-stopwatch", '\ue678'),
    STOP_CIRCLE("ri-stop-circle", '\ue7b5'),
    STOP_SIGN("ri-stop-sign", '\ue6e6'),
    STRATOCASTER("ri-stratocaster", '\ue885'),
    STRAVA("ri-strava", '\ue897'),
    STREET_VIEW("ri-street-view", '\ue672'),
    STRIPE("ri-stripe", '\ue967'),
    STUMBLEUPON("ri-stumbleupon", '\ue647'),
    SUBLIME_TEXT("ri-sublime-text", '\ue852'),
    SUBWAY("ri-subway", '\ue7ed'),
    SUITCASE("ri-suitcase", '\ue700'),
    SUNNY("ri-sunny", '\ue6d7'),
    SURFACE("ri-surface", '\ue7e4'),
    SURVEILLANCE_CAM("ri-surveillance-cam", '\ue6d1'),
    SWAP("ri-swap", '\ue97f'),
    SWAY("ri-sway", '\ue608'),
    SWIMMING("ri-swimming", '\ue81f'),
    TABLE("ri-table", '\ue66e'),
    TABLET("ri-tablet", '\ue7e2'),
    TAG("ri-tag", '\ue8a0'),
    TAPLYTICS("ri-taplytics", '\ue964'),
    TARGET("ri-target", '\ue6f6'),
    TASKS("ri-tasks", '\ue8bf'),
    TAURUS("ri-taurus", '\ue6b5'),
    TAXI("ri-taxi", '\ue86a'),
    TEAMS("ri-teams", '\ue8f2'),
    TEAMS_ALT("ri-teams-alt", '\ue8f3'),
    TELEGRAM("ri-telegram", '\ue818'),
    TENT("ri-tent", '\ue8e1'),
    TENTING("ri-tenting", '\ue877'),
    TERMINAL("ri-terminal", '\ue72a'),
    THEMEISLE("ri-themeisle", '\ue89a'),
    THINKFUL("ri-thinkful", '\ue962'),
    THUMBS_UP("ri-thumbs-up", '\ue675'),
    THUMBTACK("ri-thumbtack", '\ue8a3'),
    TICKET("ri-ticket", '\ue8a1'),
    TIDAL("ri-tidal", '\ue7cc'),
    TOGGLE_OFF("ri-toggle-off", '\ue721'),
    TOGGLE_ON("ri-toggle-on", '\ue720'),
    TOWN("ri-town", '\ue8e2'),
    TRADEMARK("ri-trademark", '\ue8a2'),
    TRAFFIC_CONE("ri-traffic-cone", '\ue814'),
    TRAFFIC_CONTROL("ri-traffic-control", '\ue958'),
    TRAFFIC_LIGHT("ri-traffic-light", '\ue959'),
    TRAIN("ri-train", '\ue7ec'),
    TRAM("ri-tram", '\ue7ee'),
    TRAM_ALT("ri-tram-alt", '\ue8f7'),
    TREKKING("ri-trekking", '\ue820'),
    TRELLO("ri-trello", '\ue91b'),
    TRIPADVISOR("ri-tripadvisor", '\ue7c8'),
    TROPHY("ri-trophy", '\ue8b1'),
    TUMBLR("ri-tumblr", '\ue641'),
    TVG("ri-tvg", '\ue7e9'),
    TWITCH("ri-twitch", '\ue836'),
    TWITTER("ri-twitter", '\ue64a'),
    TYPE_KIT("ri-type-kit", '\ue902'),
    TYPO3("ri-typo3", '\ue839'),
    UBER("ri-uber", '\ue898'),
    UBUNTU("ri-ubuntu", '\ue84e'),
    UIKIT("ri-uikit", '\ue89e'),
    UMBRELLA("ri-umbrella", '\ue832'),
    UN("ri-un", '\ue926'),
    UNAMUSED_FACE("ri-unamused-face", '\ue6b0'),
    UNHAPPY_FACE("ri-unhappy-face", '\ue6b3'),
    UNIREGISTRY("ri-uniregistry", '\ue95f'),
    UNIVERSAL_ACCESS("ri-universal-access", '\ue6d4'),
    UPLOAD("ri-upload", '\ue681'),
    UP_LEFT("ri-up-left", '\ue826'),
    UP_LEFT_ARROW("ri-up-left-arrow", '\ue827'),
    USB("ri-usb", '\ue693'),
    USB_DRIVE("ri-usb-drive", '\ue694'),
    USER("ri-user", '\ue7af'),
    USERS_GROUP("ri-users-group", '\ue893'),
    USER_PLUS("ri-user-plus", '\ue7b2'),
    VAN("ri-van", '\ue8f9'),
    VCARD_O("ri-vcard-o", '\ue7f3'),
    VENUS("ri-venus", '\ue80e'),
    VIBER("ri-viber", '\ue7c3'),
    VIEWING_AREA("ri-viewing-area", '\ue8b0'),
    VIEWPOINT("ri-viewpoint", '\ue871'),
    VIMEO("ri-vimeo", '\ue7d4'),
    VIRAL_MARKETING("ri-viral-marketing", '\ue88e'),
    VIRGO("ri-virgo", '\ue6b9'),
    VISIO("ri-visio", '\ue8f4'),
    VISUALLY_IMPAIRED("ri-visually-impaired", '\ue867'),
    VISUAL_STUDIO("ri-visual-studio", '\ue60e'),
    VIVALDI("ri-vivaldi", '\ue801'),
    VKONTAKTE("ri-vkontakte", '\ue64d'),
    VLC("ri-vlc", '\ue7a7'),
    VOLLEYBALL("ri-volleyball", '\ue8d1'),
    VOLUME_DOWN("ri-volume-down", '\ue650'),
    VOLUME_MUTE("ri-volume-mute", '\ue64f'),
    VOLUME_OFF("ri-volume-off", '\ue652'),
    VOLUME_UP("ri-volume-up", '\ue651'),
    VS_CODE("ri-vs-code", '\ue883'),
    VUEJS("ri-vuejs", '\ue946'),
    W3SCHOOLS("ri-w3schools", '\ue7bf'),
    WALKING("ri-walking", '\ue81c'),
    WARNING_SIGN("ri-warning-sign", '\ue7de'),
    WASHING_MACHINE("ri-washing-machine", '\ue950'),
    WATCH("ri-watch", '\ue97c'),
    WATERCRAFT("ri-watercraft", '\ue874'),
    WAVES("ri-waves", '\ue982'),
    WECHAT("ri-wechat", '\ue6c8'),
    WEEBLY("ri-weebly", '\ue6c7'),
    WEEE("ri-weee", '\ue881'),
    WEIBO("ri-weibo", '\ue7a3'),
    WEIXIN("ri-weixin", '\ue942'),
    WHALE_WATCHING("ri-whale-watching", '\ue872'),
    WHATSAPP("ri-whatsapp", '\ue7c2'),
    WHMCS("ri-whmcs", '\ue941'),
    WIFI("ri-wifi", '\ue692'),
    WINDOWS8("ri-windows8", '\ue7d5'),
    WINDOW_CLOSE("ri-window-close", '\ue816'),
    WINDOW_MAXIMIZE("ri-window-maximize", '\ue8b3'),
    WINDOW_MINIMIZE("ri-window-minimize", '\ue8b2'),
    WINDOW_RESTORE("ri-window-restore", '\ue8b4'),
    WINE_BOTTLE("ri-wine-bottle", '\ue7e8'),
    WINKING_FACE("ri-winking-face", '\ue6ac'),
    WIX("ri-wix", '\ue6a1'),
    WOLF("ri-wolf", '\ue8dd'),
    WOOLMARK("ri-woolmark", '\ue880'),
    WORD("ri-word", '\ue609'),
    WORDPRESS("ri-wordpress", '\ue79c'),
    WORDPRESS_SIMPLE("ri-wordpress-simple", '\ue945'),
    WPEXPLORER("ri-wpexplorer", '\ue84b'),
    WP_ARROW("ri-wp-arrow", '\ue733'),
    WP_COG("ri-wp-cog", '\ue76f'),
    WP_COG_O("ri-wp-cog-o", '\ue76e'),
    WRENCH("ri-wrench", '\ue815'),
    XBOX("ri-xbox", '\ue69a'),
    YAHOO("ri-yahoo", '\ue63e'),
    YELP("ri-yelp", '\ue632'),
    YIN_YANG("ri-yin-yang", '\ue67f'),
    YOGA("ri-yoga", '\ue889'),
    YOUTUBE("ri-youtube", '\ue646'),
    YOUTUBE2("ri-youtube2", '\ue7ce'),
    ZOOM_IN("ri-zoom-in", '\ue7f7'),
    ZOOM_OUT("ri-zoom-out", '\ue7f8'),
    ZURB("ri-zurb", '\ue62f');

    public static Runestroicons findByDescription(String description) {
        for (Runestroicons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    Runestroicons(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}